﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.Bugtracker.EditBugTrackerItemControl" Codebehind="EditBugTrackerItemControl.ascx.cs" %>

<%@ Register 
    Src="~/UI/Bugtracker/BugTrackerDynamicItemControl.ascx" 
    TagName="BugTrackerDynamicItemControl"  
    TagPrefix="zt"%>

<script type="text/javascript">

    function AddBugTrackerItem(description, usedialog) {

        if (usedialog) {
            LoadDialog(description, true, 0);
        }
        else {
            StoreDialog(true, description);
        }
    }

    function UpdateBugTrackerItem(id, description, usedialog) {
        if (usedialog) {
            LoadDialog(description, false, id);
        }
        else {
            StoreDialog(true, description);
        }
    }

    function LoadDialog(description, isNew, itemId) {

        EditBugTrackerItemDialog.IsNew = isNew;
        EditBugTrackerItemDialog.ItemId = itemId;

        var request = new Object();
        request.command = "load";
        request.data = { "IsNew": isNew, "Description": description };

        DynamicContentPopUpCallbackPanel.PerformCallback(
                Sys.Serialization.JavaScriptSerializer.serialize(request));
    }

    function StoreDialog(directly, description) {

        var request = new Object();
        request.command = "store";
        request.data = { "IsNew": EditBugTrackerItemDialog.IsNew, "Directly": directly, "Description": description, "IssueId": EditBugTrackerItemDialog.ItemId };

        DynamicContentPopUpCallbackPanel.PerformCallback(
            Sys.Serialization.JavaScriptSerializer.serialize(request));
    }

    function OnDynamicContentPopUpCallbackPanelEndCallback(s, e) {

        if (UseBugTrackerItemDialog) {

            if (EditBugTrackerItemDialog.IsVisible()) {
                EditBugTrackerItemDialog.Hide();
            }
            else {
                EditBugTrackerItemDialog.Show();
            }
        }
    }

    function OnEditBugTrackerDialogOkButtonClick(s, e) {
        e.processOnServer = false;

        var isValid = ASPxClientEdit.ValidateGroup("BugTrackerDialog");
        if (isValid) {

            StoreDialog(false, null);

            EditBugTrackerItemDialog.DialogResult = DialogResult.Ok;
        }
    }

    function OnEditBugTrackerDialogCancelButtonClick(s, e) {
        e.processOnServer = false;

        EditBugTrackerItemDialog.DialogResult = DialogResult.Cancel;
        EditBugTrackerItemDialog.Hide();
    }
    
</script>

<dxpc:ASPxPopupControl
	ID="EditBugTrackerItemDialog"
	runat="server"
	ClientInstanceName="EditBugTrackerItemDialog"
	CloseAction="None"
	Modal="True"
	Width="400px"
    Height="120px"
	PopupHorizontalAlign="WindowCenter"
	PopupVerticalAlign="WindowCenter"
	HeaderText="Create bug tracker entry"
	AllowDragging="True"
	PopupAnimationType="None"
    ShowFooter="True"
    ShowCloseButton="False" 
	meta:resourcekey="EditBugTrackerItemDialogResource1">
    <ModalBackgroundStyle BackColor="White" />
    <ContentCollection>
		<dxpc:PopupControlContentControl ID="PopupControlContentControl1" 
			runat="server">
            <dxcp:ASPxCallbackPanel 
                runat="server" 
                ID="DynamicContentPopUpCallbackPanel" 
                ClientInstanceName="DynamicContentPopUpCallbackPanel"
                EnableCallbackCompression="true"
                OnCallback="OnDynamicContentPopUpCallbackPanelCallback" 
				meta:resourcekey="DynamicContentPopUpCallbackPanelResource1" >
                <ClientSideEvents EndCallback="OnDynamicContentPopUpCallbackPanelEndCallback" />
                <PanelCollection>
                    <dxp:PanelContent runat="server">
         			    <asp:Panel
                            runat="server"
                            ID="BugtrackerInfoContent"
                            CssClass="bugtracker-info-content">
                            <asp:Repeater
                                runat="server"
                                ID="BugtrackerInfoList">
                                <HeaderTemplate>
                                    <table border="0" cellpadding="0" cellspacing="0" width="100%" class="bugtracker-info-fields">
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <tr>
                                        <zt:BugTrackerDynamicItemControl
                                            runat="server"
                                            ID="InfoValue"
                                            Info='<%# Eval(@"Item") %>'
                                            SymbolicName='<%# Eval(@"Item.SymbolicName") %>'
                                            FieldType='<%# Eval(@"Item.FieldType") %>' />
                                    </tr>
                                </ItemTemplate>
                                <FooterTemplate>
                                    </table>
                                </FooterTemplate>   
                            </asp:Repeater>
                        </asp:Panel>
                    </dxp:PanelContent>
                </PanelCollection>
            </dxcp:ASPxCallbackPanel>
        </dxpc:PopupControlContentControl>
    </ContentCollection>
     <FooterTemplate>
        <div style="float: right; margin: 3px;">
            <table>
                <tbody>
                    <td>
                        <dxe:ASPxButton 
                            runat="server"
                            ID="DynamicContentPopUpOkButton" 
                            Text="OK" 
                            AutoPostBack="False" 
                            CausesValidation="true"
                            ValidationGroup="BugTrackerDialog"
							meta:resourcekey="DynamicContentPopUpOkButtonResource1">
                            <ClientSideEvents 
                                Click="OnEditBugTrackerDialogOkButtonClick" />
                        </dxe:ASPxButton>
                    </td>
                    <td>
                        <dxe:ASPxButton 
                            runat="server"
                            ID="DynamicContentPopUpCancelButton"  
                            Text="Cancel" 
                            AutoPostBack="False" 
                            CausesValidation="false"
							meta:resourcekey="DynamicContentPopUpCancelButtonResource1" >
                            <ClientSideEvents 
                                Click="OnEditBugTrackerDialogCancelButtonClick" />
                        </dxe:ASPxButton>
                    </td>
                </tbody>
            </table>
        </div>
    </FooterTemplate>
</dxpc:ASPxPopupControl>