﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.Bugtracker.MultiBugTrackerItemControl" Codebehind="MultiBugTrackerItemControl.ascx.cs" %>

<dxp:ASPxPanel ID="MultiBugContent" runat="server" ClientInstanceName="MultiBugContent" Height="100%" Width="100%">
	<PanelCollection>
		<dxp:PanelContent ID="PanelContent1" runat="server">
            <div id="bugs-content-div" style="width:100%;height:100%; border: 1px solid #A8A8A8;" >
                <div style="padding:20px">
                    <div style="padding:0 0 10px 0" >
                        <dxe:ASPxButton 
                            runat="server"
                            ID="AddBugButton"
                            ClientInstanceName="AddBugButton" 
                            Text="Add new bug ticket" 
							meta:resourcekey="AddBugButtonResource1"
                            CssClass="devExpressLinkBreakFix" 
                            Font-Size="10px"
                            CausesValidation="false">
                            <ClientSideEvents Click="OnAddBugTrackerItemClick" />
                        </dxe:ASPxButton>
                    </div>
                    <div style="width:100%;height:100%;" id="BugsGridControlContainer" >  

                        <dxcp:ASPxPanel
                            runat="server"
                            ID="NoItemPanel"
                            ClientInstanceName="BugsNoItemPanel"
                            ClientVisible="false">
                            <PanelCollection>
                                <dxp:PanelContent>
                                    <p class="no-attachments-info"><asp:Localize meta:resourcekey="Localize1Resource1" ID="Localize1" runat="server" Text="No bug tracker items present." /></p>
                                </dxp:PanelContent>
                            </PanelCollection>    
                        </dxcp:ASPxPanel>

                        <dxgv:ASPxGridView 
                            ID="BugsGridControl" 
                            runat="server"
                            ClientInstanceName="BugsGridGridView"
                            DataSourceID="BugsDataSource"
                            EnableCallbackCompression="true"
                            Width="100%"
                            KeyFieldName="ID">
                            <ClientSideEvents EndCallback="OnBugsGridGridViewEndCallback" />
                            <SettingsBehavior AllowDragDrop="false" />
                            <SettingsPager Mode="ShowPager" PageSize="30" />
                            <SettingsLoadingPanel Mode="Disabled" />
                            <Columns >
                                <dxgv:GridViewDataColumn 
                                    Name="bugNumberGridColumn"
                                    Caption="Bug no."
                                    FieldName="IssueID"
                                    Width="100"  >
                                    <CellStyle Wrap="False" />
                                    <DataItemTemplate >
                                        <a href='<%#Eval(@"BugTicketUrl") %>' target="_blank"><%#Eval(@"IssueID") %></a>
                                    </DataItemTemplate>
                                </dxgv:GridViewDataColumn> 
                                <dxgv:GridViewDataColumn
                                    Name="bugDateGridColumn"
                                    Caption="Date"
                                    FieldName="DateCreated"
                                    Width="120" >
                                    <CellStyle Wrap="False" />
                                    <DataItemTemplate >
                                        <%#Eval(@"DateCreatedFormated")%>
                                    </DataItemTemplate>
                                </dxgv:GridViewDataColumn> 
                                <dxgv:GridViewDataColumn
                                    Name="bugUserGridColumn"
                                    Caption="Tester"
                                    FieldName="UserSamNameCreated"
                                    Width="100%" >
                                </dxgv:GridViewDataColumn>   
                                <dxgv:GridViewDataColumn
                                    Name="UpdateBugTicket"
                                    Caption="Action"
                                    FieldName="IssueID"
                                    Width="80">
                                    <CellStyle Wrap="False" />
                                    <DataItemTemplate >
                                        <dxe:ASPxHyperLink
                                            runat="server"
                                            Cursor="pointer"
                                            Text="Update"
											meta:resourcekey="HyperLink1Resource1"
                                            ClientSideEvents-Click='<%# "function(s, e) { OnBugTicketUpdateClick(" + Eval(@"IssueID") + ");}" %>' />
                                    </DataItemTemplate>
                                </dxgv:GridViewDataColumn>          
                            </Columns>
                        </dxgv:ASPxGridView>
                    
                        <asp:ObjectDataSource 
                            ID="BugsDataSource" 
                            runat="server" 
                            TypeName="ZetaTest.WebMain.Code.BusinessLogic.MultiBugTrackerController" 
                            SelectMethod="SelectBugTrackerItems" 
                            OnSelecting="BugTrackerDataSource_Selecting">
                        </asp:ObjectDataSource>

                        <p>
                            <dxe:ASPxLabel 
                                ID="BugCountLabel" 
                                runat="server" 
                                ClientInstanceName="BugCountLabel" 
                                ClientVisible="false">
                            </dxe:ASPxLabel>
                        </p>
                    </div>
                </div>
            </div>
        </dxp:PanelContent>
    </PanelCollection>
</dxp:ASPxPanel>