﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.Bugtracker.BugtrackerMultiSelectDropDownListControl" Codebehind="MultiSelectDropDownListControl.ascx.cs" %>

<script type="text/javascript">
    var textSeparator = ";";
    function OnMultiSelectDropDownListSelectionChanged(listBox, args) {
        UpdateText();
    }
    function UpdateText() {
        var selectedItems = MultiSelectDropDownList.GetSelectedItems();
        MultiSelectDropDown.SetText(GetSelectedItemsText(selectedItems));
    }
    function SynchronizeListBoxValues(dropDown, args) {
        MultiSelectDropDownList.UnselectAll();

        var texts = MultiSelectDropDown.GetText().split(textSeparator);
        var values = GetValuesByTexts(texts);

        MultiSelectDropDownList.SelectValues(values);
        UpdateText();
    }
    // Helper
    function GetSelectedItemsText(items) {
        var texts = [];
        for (var i = 0; i < items.length; i++) {
            texts.push(items[i].text);
        }
        return texts.join(textSeparator);
    }
    function GetValuesByTexts(texts) {
        var actualValues = [];
        var item;
        for (var i = 0; i < texts.length; i++) {
            item = checkListBox.FindItemByText(texts[i]);
            if (item != null) {
                actualValues.push(item.value);
            }
        }
        return actualValues;
    }
</script>

<dxe:ASPxDropDownEdit 
    runat="server"
    ID="MultiSelectDropDown"
    ClientInstanceName="MultiSelectDropDown" 
	AnimationType="None">
    <DropDownWindowStyle BackColor="#EDEDED" />
    <DropDownWindowTemplate>
        <dxe:ASPxListBox 
            runat="server" 
            ID="MultiSelectDropDownList"
            ClientInstanceName="MultiSelectDropDownList" 
            SelectionMode="CheckColumn"
            Width="100%" >
            <Border BorderStyle="None" />
            <BorderBottom BorderStyle="Solid" BorderWidth="1px" BorderColor="#DCDCDC" />
            <ClientSideEvents 
                SelectedIndexChanged="OnMultiSelectDropDownListSelectionChanged" />
        </dxe:ASPxListBox>
        <table style="width: 100%" cellspacing="0" cellpadding="4">
            <tr>
                <td align="right">
                    <dxe:ASPxButton 
                        runat="server"
                        ID="CloseButton" 
                        AutoPostBack="False" 
                        Text="Close">
                        <ClientSideEvents Click="function(s, e){ MultiSelectDropDown.HideDropDown(); }" />
                    </dxe:ASPxButton>
                </td>
            </tr>
        </table>
    </DropDownWindowTemplate>
    <ClientSideEvents 
        TextChanged="SynchronizeListBoxValues" 
        DropDown="SynchronizeListBoxValues" />
</dxe:ASPxDropDownEdit>
