﻿// Fields
// ------------------------------------------------------------------------------------------

var PackageTreeContainer = null;
var LoadedDashboard = false;
var LoadedTestCases = false;
var RefreshDashboard = true;

// Initialize
// ------------------------------------------------------------------------------------------

window.ImplHandleMainSplitterResized = function(s, e) {
    ResizeContent();
};

// Procedures & Logic
// ------------------------------------------------------------------------------------------

function ResizeContent() {
    var mainContentSplitterPane = MS.GetPaneByName("MainContentSplitterPane");

    ResizeRightPaneContent(
        mainContentSplitterPane.GetClientWidth() -10, 
        mainContentSplitterPane.GetClientHeight());
}

function ResizeRightPaneContent(width, height) {
    var outer = $("#package-tab-outer-div");
    var inner1 = $("#package-dashboard-content");
    var inner2 = $("#package-testcases-content");

    if (outer != null && typeof (outer) != "undefined") {
        outer.height(height - 53);
        outer.width(width);
    }

    if (inner1 != null && typeof (inner1) != "undefined") {
        inner1.height(height - 53);
        inner1.width(width);
    }
    if (inner2 != null && typeof (inner2) != "undefined") {
        inner2.height(height - 53);
    }
    // Context related resize
    if (PackageMainContentTabControl.GetActiveTab().name == "TestCases") {
        if (ExistASPxClientControl("TestCasesGridView")) {
            TestCasesGridView.SetHeight(height - 53 - TestCasesFurtherActionsPanel.GetHeight());
        }
    }

    if (PackageMainContentTabControl.GetActiveTab().name == "Dashboard") {
        if (ExistASPxClientControl("PackageMainContentDashboardCallbackPanel")) {
            PackageMainContentDashboardCallbackPanel.SetHeight(height - 53);
        }

        if (ExistASPxClientControl("DashboardTestResultsChartControl")) {
            ReloadDashboard();
        }
    }
}

function OnPackageMainContentTabControlInit(s, e) {
    ResizeContent();
}

function OnPackageMainContentTabControlActiveTabChanged(s, e) {
    if (e.tab.name == "TestCases" && !LoadedTestCases) {
        ReloadTestCases();
        LoadedTestCases = true;
    }
    if (e.tab.name == "Dashboard" && !LoadedDashboard) {
        ReloadDashboard();
        LoadedDashboard = true;
    }
}

function OnPackageTreeContainerInit(s,e){
    PackageTreeContainer = s;
}

function OnPackageTreeContainerFocusedNodeChanged(s,e){
    e.processOnServer = false;

    LoadedTestCases = false;
    LoadedDashboard = false;

    switch (PackageMainContentTabControl.GetActiveTab().name) {

        case "Dashboard":
            ReloadDashboard();
            LoadedDashboard = true;
            break;

        case "TestCases":
            ReloadTestCases();
            LoadedTestCases = true;
            break;
    }

    RefreshPackageTabHeader();
}

function OnTestCasesCallbackPanelEndCallback(s, e) {
    ResizeContent();
}

function OnPackageTestCasesEndCallback(s, e) {
    ResizeContent();
}

function OnPackageDasboardEndCallback(s, e) {
    ResizeContent();
}

function RefreshPackageTabHeader(nodeValues) {
    if (nodeValues == null) {
        var fieldNames = new Array( "ID", "ParentHierarchyIDs");

            PackageTreeContainer.GetNodeValues(
                PackageTreeContainer.GetFocusedNodeKey(),
                fieldNames,
                RefreshPackageTabHeader);
    }
    else{
        PackageTabHeaderCallbackPanel.PerformCallback(
            Sys.Serialization.JavaScriptSerializer.serialize( 
                { "phIds": nodeValues[1] } ));
    }
}

function ReloadTestCases(nodeValues) {
    if (nodeValues == null) {
        if (PackageTreeContainer == null) {
            // --
        }
        else {

            var fieldNames = new Array( "ID", "ParentHierarchyIDs");

            PackageTreeContainer.GetNodeValues(
                PackageTreeContainer.GetFocusedNodeKey(),
                fieldNames, 
                ReloadTestCases );
        }
    }
    else {

        var request = new Object();
        request.command = "refresh";
        request.data = { "id": nodeValues[0], "phIds": nodeValues[1] };

        PackageMainContentTestCasesCallbackPanel.PerformCallback(
            Sys.Serialization.JavaScriptSerializer.serialize(request) );
    }
}

function ReloadDashboard() {
    if (RefreshDashboard) {
        RefreshDashboard = false;

        var focusedNodeId = PackageTreeContainer.GetFocusedNodeKey();
        var result = new Array();

        var outer = document.getElementById("package-tab-outer-div");

        var request = new Object();
        request.command = "refresh";
        request.PackageId = focusedNodeId;

        var dashboardcontenttable = document.getElementById("package-dashboard-content-table");

        if (outer != null && typeof (outer) != 'undefined') {
            var width = outer.offsetWidth - 530;
            var heigth = outer.offsetHeight - 15;

            request.Height = heigth;
            request.Width = width;
        }

        if (typeof (request.Height) == 'undefined' || request.Height < 200) {
            request.Height = 400;
        }
        if (typeof (request.Width) == 'undefined' || request.Width < 200) {
            request.Width = 400;
        }

        PackageMainContentDashboardCallbackPanel.PerformCallback(
            Sys.Serialization.JavaScriptSerializer.serialize(request));
       
    }
    else {
        RefreshDashboard = true;
    }
}