﻿<%@ Control
    Language="C#"
    AutoEventWireup="true"
    Inherits="ZetaTest.WebMain.UI.MainWindow.Packages.PackageTestCasesControl" Codebehind="PackageTestCasesControl.ascx.cs" %>
<%@ Import Namespace="DevExpress.Web.Data" %>

<div id="package-testcases-content">

    <dxcp:ASPxPanel
        runat="server"
        ID="NoItemPanel"
        ClientInstanceName="TestCasesNoItemPanel"
        ClientVisible="False"
        Paddings-Padding="10"
        Width="100%">
        <Paddings Padding="10px"></Paddings>
        <PanelCollection>
            <dxp:PanelContent>
                <p class="no-attachments-info"><asp:Localize ID="Localize1" runat="server"
                        Text="No test cases present." meta:resourcekey="Localize1Resource1" /></p>
            </dxp:PanelContent>
        </PanelCollection>
    </dxcp:ASPxPanel>

    <dx:ASPxTimer
        runat="server"
        ID="UpdateLockedColumnTimer"
        ClientInstanceName="UpdateLockedColumnTimer"
        Interval="15000">
        <ClientSideEvents Tick="OnUpdateLockedColumnTimerTick" />
    </dx:ASPxTimer>

    <dxcb:ASPxCallback
        runat="server"
        ID="TestCasesCallback"
        ClientInstanceName="TestCasesCallback"
        OnCallback="onTestCasesCallback">
        <ClientSideEvents CallbackComplete="OnTestCasesCallbackComplete" />
    </dxcb:ASPxCallback>

    <dxpc:ASPxPopupControl
        runat="server"
        ID="BatchEditItemsPopup"
        ClientInstanceName="BatchEditItemsPopup"
        CloseAction="None"
        PopupAnimationType="None"
        Modal="True"
        PopupHorizontalAlign="WindowCenter"
        PopupVerticalAlign="WindowCenter"
        PopupAction="None"
        ShowShadow="False"
        ShowFooter="True"
        ShowCloseButton="false"
        Width="400px"
        meta:resourcekey="BatchEditItemsPopupResource1">
        <ClientSideEvents
            PopUp="OnBatchEditItemsPopup"
            CloseUp="OnBatchEditItemsCloseUp" />
        <ModalBackgroundStyle
            BackColor="White" />
        <ContentCollection>
            <dxpc:PopupControlContentControl runat="server">
                <table border="0" cellpadding="0" cellspacing="0" width="100%" class="batch-edit-fields">
                    <tr>
                        <td class="td">
                            <dxe:ASPxLabel
                                runat="server"
                                ID="SelectedRowCountLabel"
                                ClientInstanceName="SelectedRowCountLabel">
                            </dxe:ASPxLabel>
                        </td>
                    </tr>
                    <tr>
                        <td class="td">
                            <dxe:ASPxComboBox
                                runat="server"
                                ID="BatchEditItemsTestResultComboBox"
                                ClientInstanceName="BatchEditItemsTestResultComboBox"
                                AutoPostBack="false"
                                CallbackPageSize="20"
                                EnableCallbackMode="true"
                                TextField="Title"
                                ValueField="ID"
                                DataSourceID="BatchEditItemsTestResultComboBoxDataSource"
                                DropDownRows="20"
                                Width="300px"
                                meta:resourcekey="BatchEditItemsTestResultComboBoxResource1" >
                                <ValidationSettings
                                    CausesValidation="true"
                                    RequiredField-IsRequired="true"
                                    ErrorDisplayMode="ImageWithTooltip"
                                    ErrorText=""
                                    ValidationGroup="BatchEditItems" >
                                    <RequiredField IsRequired="True"></RequiredField>
                                </ValidationSettings>
                                <ClientSideEvents SelectedIndexChanged="function (s,e) { e.processOnServer = false; }" />
                            </dxe:ASPxComboBox>

                            <asp:ObjectDataSource
                                runat="server"
                                ID="BatchEditItemsTestResultComboBoxDataSource"
                                TypeName="ZetaTest.WebMain.Code.BusinessLogic.TestResultModel"
                                SelectMethod="SelectAllTestResults" />
                        </td>
                    </tr>
                    <tr>
                        <td class="td">
                            <dxe:ASPxMemo
                                runat="server"
                                ID="BatchEditItemsDescriptionMemo"
                                ClientInstanceName="BatchEditItemsDescriptionMemo"
                                Rows="10"
                                Width="100%" meta:resourcekey="BatchEditItemsDescriptionMemoResource1">
                            </dxe:ASPxMemo>
                        </td>
                    </tr>
                </table>
            </dxpc:PopupControlContentControl>
        </ContentCollection>
        <FooterTemplate>
            <div style="float: right; margin: 3px;">
                <table>
                    <tr>
                        <td>
                            <dxe:ASPxButton
                                runat="server"
                                ID="BatchEditItemsPopupOkButton"
                                ClientInstanceName="BatchEditItemsPopupOkButton"
                                AutoPostBack="False"
                                ValidationGroup="BatchEditItems"
                                Text="OK" meta:resourcekey="BatchEditItemsPopupOkButtonResource1">
                                <ClientSideEvents
                                    Click="OnBatchEditItemsPopupOkButtonClick" />
                            </dxe:ASPxButton>
                        </td>
                        <td>
                            <dxe:ASPxButton
                                runat="server"
                                ID="BatchEditItemsPopupCancelButton"
                                AutoPostBack="False"
                                CausesValidation="False"
                                Text="Cancel" meta:resourcekey="BatchEditItemsPopupCancelButtonResource1">
                                <ClientSideEvents
                                    Click="OnBatchEditItemsPopupCancelButtonClick" />
                            </dxe:ASPxButton>
                        </td>
                    </tr>
                </table>
            </div>
        </FooterTemplate>
    </dxpc:ASPxPopupControl>

    <dxgv:ASPxGridView
        runat="server"
        ID="TestCasesGridView"
        ClientInstanceName="TestCasesGridView"
        AutoGenerateColumns="False"
        EnableRowsCache="False"
        KeyFieldName="TestCaseVariantID"
        Width="100%" meta:resourcekey="TestCasesGridViewResource1">
        <Settings
            ShowFooter="false"
            ShowFilterRow="true"
            ShowFilterRowMenu="true"
            ShowPreview="false"
            VerticalScrollBarMode="Visible"
            HorizontalScrollBarMode="Visible" />
        <SettingsBehavior
            ColumnResizeMode="Control"
            EnableCustomizationWindow="True"
            ProcessFocusedRowChangedOnServer="false"
            ProcessSelectionChangedOnServer="false" />
        <SettingsCookies
            Enabled="true"
            StoreColumnsVisiblePosition="true"
            StoreColumnsWidth="true" />
        <SettingsPager
            NumericButtonCount="5"
            PageSize="20" />
        <Styles>
            <AlternatingRow
                Enabled="True" />
            <LoadingPanel
                BackColor="White"
                Border-BorderColor="Gray" >
                <Border BorderColor="Gray"></Border>
            </LoadingPanel>
        </Styles>
        <ClientSideEvents
            ColumnResizing="OnTestCasesGridViewColumnResizing" />
        <Columns>
            <dxgv:GridViewCommandColumn
                ShowSelectCheckbox="True"
                VisibleIndex="0"
                Width="35px">
                <HeaderTemplate>
                    <dxe:ASPxCheckBox
                        runat="server"
                        ID="SelectAllCheckbox" CheckState="Unchecked"
                        meta:resourcekey="SelectAllCheckboxResource1" >
                        <ClientSideEvents CheckedChanged="function(s, e) { TestCasesGridView.SelectAllRowsOnPage( s.GetChecked() ); }" />
                    </dxe:ASPxCheckBox>
                </HeaderTemplate>
            </dxgv:GridViewCommandColumn>
            <dxgv:GridViewDataDateColumn
                Name="Date"
                FieldName="Date"
                Caption="Date"
                ReadOnly="true"
                SortOrder="Descending"
                VisibleIndex="0" meta:resourcekey="GridViewDataDateColumnResource1">
            </dxgv:GridViewDataDateColumn>
            <dxgv:GridViewDataColumn
                Name="TestCaseID"
                FieldName="TestCaseID"
                Caption="Nr."
                Width="60px"
                ReadOnly="true"
                VisibleIndex="1" meta:resourcekey="GridViewDataColumnResource1">
                <CellStyle HorizontalAlign="Left"></CellStyle>
                <DataItemTemplate>
                    <dxe:ASPxHyperLink
                        runat="server"
                        NavigateUrl='<%# ((WebDataRow)Container.DataItem)[@"TestCaseUrl"] %>'
                        Target="TestRun"
                        Text='<%# ((WebDataRow)Container.DataItem)[@"DisplayTestCaseID"] %>' />
                </DataItemTemplate>
            </dxgv:GridViewDataColumn>
            <dxgv:GridViewDataTextColumn
                Name="TestRun"
                FieldName="TestRun"
                Caption="Test run"
                ReadOnly="true"
                VisibleIndex="2"
                Width="50%" meta:resourcekey="GridViewDataTextColumnResource1">
                <CellStyle Wrap="True" ></CellStyle>
                <Settings AutoFilterCondition="Contains" />
            </dxgv:GridViewDataTextColumn>
            <dxgv:GridViewDataTextColumn
                Name="TestCase"
                FieldName="TestCase"
                Caption="Test case"
                ReadOnly="true"
                VisibleIndex="3"
                Width="50%" meta:resourcekey="GridViewDataTextColumnResource2">
                <CellStyle Wrap="True"></CellStyle>
                <Settings AutoFilterCondition="Contains" />
            </dxgv:GridViewDataTextColumn>
            <dxgv:GridViewDataTextColumn
                Name="TestResultName"
                FieldName="TestResultName"
                Caption="Test result"
                Width="100px"
                VisibleIndex="4" meta:resourcekey="GridViewDataTextColumnResource3">
                <CellStyle HorizontalAlign="Center" />
                <Settings AutoFilterCondition="Contains" FilterMode="DisplayText" SortMode="DisplayText" />
            </dxgv:GridViewDataTextColumn>
            <dxgv:GridViewDataTextColumn
                Name="TestResultNameInlineEdit"
                FieldName="TestResultName"
                Caption="Test result"
                Width="100px"
                VisibleIndex="4" meta:resourcekey="GridViewDataTextColumnResource3">
                <CellStyle HorizontalAlign="Center" />
                <Settings AutoFilterCondition="Contains" FilterMode="DisplayText" SortMode="DisplayText" />
                <DataItemTemplate>
                    <dxe:ASPxHyperLink
                        runat="server"
                        Cursor="pointer"
                        Text='<%# ((WebDataRow)Container.DataItem)["TestResultName"] %>'
                        ClientSideEvents-Click='<%# "function(s, e) { ShowBatchEditItemsPopup(" + ((WebDataRow)Container.DataItem)["TestCaseVariantID"]  + ");}" %>' />
                </DataItemTemplate>
            </dxgv:GridViewDataTextColumn>
            <dxgv:GridViewDataMemoColumn
                Name="Description"
                FieldName="Description"
                Caption="Description"
                Width="200px"
                VisibleIndex="5" meta:resourcekey="GridViewDataMemoColumnResource1">
                <CellStyle Wrap="True">
                    <Paddings Padding="0" />
                </CellStyle>
                <PropertiesMemoEdit Width="200px" EncodeHtml="False" Rows="5"></PropertiesMemoEdit>
                <Settings AutoFilterCondition="Contains" />
                <DataItemTemplate>
                    <div style="width:100%;overflow-y:auto;max-height:120px;"><%# ((WebDataRow)Container.DataItem)["Description"] %></div>
                </DataItemTemplate>
            </dxgv:GridViewDataMemoColumn>
            <dxgv:GridViewDataColumn
                Name="Environment"
                FieldName="Environment"
                Caption="Environment"
                VisibleIndex="6" meta:resourcekey="GridViewDataColumnResource2">
                <Settings AutoFilterCondition="Contains" />
            </dxgv:GridViewDataColumn>
            <dxgv:GridViewDataColumn
                Name="Package"
                FieldName="Package"
                Caption="Test package"
                VisibleIndex="7" meta:resourcekey="GridViewDataColumnResource3">
                <Settings AutoFilterCondition="Contains" />
            </dxgv:GridViewDataColumn>
            <dxgv:GridViewDataColumn
                Name="Tag"
                FieldName="Tag"
                Caption="Tag"
                ReadOnly="true"
                VisibleIndex="8" meta:resourcekey="GridViewDataColumnResource4">
                <Settings AutoFilterCondition="Contains" />
            </dxgv:GridViewDataColumn>
            <dxgv:GridViewDataColumn
                Name="Editor"
                FieldName="Editor"
                Caption="Editor"
                ReadOnly="true"
                VisibleIndex="9" meta:resourcekey="GridViewDataColumnResource5">
                <Settings AutoFilterCondition="Contains" />
            </dxgv:GridViewDataColumn>
            <dxgv:GridViewDataCheckColumn
                Name="IsLocked"
                FieldName="IsLocked"
                Caption="Locked"
                ReadOnly="true"
                Width="60px"
                VisibleIndex="99" meta:resourcekey="GridViewDataCheckColumnResource1">
                <Settings
                    AllowSort="False"
                    AllowAutoFilter="False"
                    AllowDragDrop="False"
                    AllowGroup="False" />
                <DataItemTemplate>
                    <dxe:ASPxCheckBox
                        runat="server"
                        ID="IsLockedCheckBox"
                        ClientInstanceName='<%# "IsLockedCheckBox" + ((WebDataRow)Container.DataItem)["TestCaseVariantID"] %>'
                        ReadOnly="True"
                        Checked='<%# (bool)((WebDataRow)Container.DataItem)["IsLocked"] %>'
                        CheckState="Unchecked" meta:resourcekey="IsLockedCheckBoxResource1" />
                </DataItemTemplate>
            </dxgv:GridViewDataCheckColumn>
        </Columns>
    </dxgv:ASPxGridView>
    <dxcp:ASPxPanel
        runat="server"
        ID="TestCasesFurtherActionsPanel"
        ClientInstanceName="TestCasesFurtherActionsPanel">
        <Paddings Padding="5" />
        <PanelCollection>
            <dxcp:PanelContent runat="server">
                <dxe:ASPxButton
                    runat="server"
                    ID="BatchEditItems"
                    Text="Markierte freigeben"
                    AutoPostBack="false">
                    <ClientSideEvents
                        Click="function(s,e) { ShowBatchEditItemsPopup(); }" />
                </dxe:ASPxButton>
            </dxcp:PanelContent>
        </PanelCollection>
    </dxcp:ASPxPanel>
</div>