﻿function OnUpdateLockedColumnTimerTick(s, e) {

	if (TestCasesGridView.InCallback() || TestCasesCallback.InCallback()) {
		return;
	}

	var rowCount = TestCasesGridView.GetVisibleRowsOnPage();
	var firstRowIndex = TestCasesGridView.GetTopVisibleIndex();

	if (rowCount == null || rowCount == 0) {
		// --
	}
	else {

		var rtcvIds = new Array();

		for (var i = firstRowIndex; i < (firstRowIndex + rowCount); i++) {
			rtcvIds.push(
					TestCasesGridView.GetRowKey(i));
		}

		var request = new Object();
		request.command = "refreshFieldValue";
		request.data = { "field": "IsLocked", "rtcvIds": rtcvIds };

		TestCasesCallback.PerformCallback(
				Sys.Serialization.JavaScriptSerializer.serialize(request));
	}
}

function OnTestCasesCallbackComplete(s, e) {

	if (e.result == null) {
		// --
	}
	else {

		var result = Sys.Serialization.JavaScriptSerializer.deserialize(e.result);

		if (result.command == "refreshFieldValue") {

			doUpdateGridViewColumn(
					result.data.field,
					result.data.values);
		}
        if (result.command == "refreshGrid") {
			TestCasesGridView.Refresh();
		}
	}
}

function doUpdateGridViewColumn(field, values) {

	if (field == "IsLocked") {
		var rowCount = TestCasesGridView.GetVisibleRowsOnPage();
		var firstRowIndex = TestCasesGridView.GetTopVisibleIndex();

		for (var i = firstRowIndex; i < (firstRowIndex + rowCount); i++) {
			var rowKey = TestCasesGridView.GetRowKey(i);
			var name = "IsLockedCheckBox" + rowKey;
			var checkbox = eval(name);

			var isLocked = false;
			for (var x = 0; x < values.length; x++) {
				if (values[x] == rowKey) {
					isLocked = true;
					break;
				}
			}
			checkbox.SetChecked(isLocked);
		}
	}
}

function OnBatchEditItemsPopup(s, e) {

	UpdateLockedColumnTimer.SetEnabled(false);

	if (BatchEditItemsPopup.Tcvid) {
	    SelectedRowCountLabel.SetVisible(false);
	    BatchEditItemsPopupOkButton.SetEnabled(true);
    }
	else {
	    SelectedRowCountLabel.SetVisible(true);

        var selectedRowCount = TestCasesGridView.GetSelectedRowCount();
	    if (selectedRowCount > 0) {
	        SelectedRowCountLabel.SetText(selectedRowCount + " Translate(SR_JS_NumberOfTestCasesSelected)");
	        BatchEditItemsPopupOkButton.SetEnabled(true);
	    }
	    else {
	        SelectedRowCountLabel.SetText("Translate(SR_JS_NoTestCasesSelected)");
	        BatchEditItemsPopupOkButton.SetEnabled(false);
	    } 
	}
}

function OnBatchEditItemsCloseUp(s, e) {
	UpdateLockedColumnTimer.SetEnabled(true);
}

function OnBatchEditItemsPopupOkButtonClick(s, e) {

	var isValid = ASPxClientEdit.ValidateGroup("BatchEditItems");
	if (isValid) {

		var rtcvIds = new Array();

		if (BatchEditItemsPopup.Tcvid) {
		    rtcvIds.push( BatchEditItemsPopup.Tcvid );
		}
		else {
		    if (TestCasesGridView.GetSelectedRowCount() > 0) {
		        rtcvIds = TestCasesGridView.GetSelectedKeysOnPage();
		        TestCasesGridView.UnselectAllRowsOnPage();
		    }
		}

		if (rtcvIds.length > 0) {
		    var request = new Object();
		    request.command = "batchFinishTestCases";
		    request.data = { "description": BatchEditItemsDescriptionMemo.GetText(),
		        "trId": BatchEditItemsTestResultComboBox.GetValue(),
		        "rtcvIds": rtcvIds
		    };

		    TestCasesCallback.PerformCallback(
			Sys.Serialization.JavaScriptSerializer.serialize(request));
		}
		
		BatchEditItemsPopup.Hide();
	}
}

function OnBatchEditItemsPopupCancelButtonClick(s, e) {
	BatchEditItemsPopup.Hide();
}

function OnTestCasesGridViewColumnResizing(s, e) {
	if (e.column.fieldName == "IsLocked") {
		e.cancel = true;
	}
}

function OnTestCasesGridViewEndCallback(s, e) {
}

function ShowBatchEditItemsPopup(tcvid) {
	BatchEditItemsPopup.Tcvid = tcvid;
	BatchEditItemsPopup.Show(); 
}