﻿
function TestCaseReviewGridControl_FocusedRowChanged(s, e) {
    ASPxClientEdit.ClearEditorsInContainerById('ReviewItemContainer');
	if (TestCaseToReviewGridViewControl.GetVisibleRowsOnPage() <= 0) {
		ClearReview();
		ClearReviewItem(s, e);
		TestCaseToReviewGridViewControl.FocusedTestCaseID = 0;
		EnableReviewControls(false);
	}
	else {
		var key = TestCaseToReviewGridViewControl.GetRowKey(TestCaseToReviewGridViewControl.GetFocusedRowIndex());
		
		if (typeof(TestCaseReviewDetailsPanelTop) != 'undefined') {
			TestCaseReviewDetailsPanelTop.PerformCallback(key);
		}
		
		if (typeof(TestCaseReviewDetailsPanelBottom) != 'undefined') {
			TestCaseReviewDetailsPanelBottom.PerformCallback(key);
			EnableReviewControls(true);
			TestCaseToReviewGridViewControl.FocusedTestCaseID = key;
		}
	}    
}


function SaveReviewItem(s, e) {

	if(ASPxClientEdit.ValidateGroup(null)) {

		var param = Sys.Serialization.JavaScriptSerializer.serialize({
			comment: TestCaseEditReviewCommentControl.GetText(),
			status: TestCaseEditReviewStatusControl.GetValue(),
			testCaseID: TestCaseToReviewGridViewControl.FocusedTestCaseID
		});

		TestCaseEditReviewCallback.PerformCallback(param);
	}
}

var focusIndex = 0;
function ClearReviewItem(s, e) {
    ASPxClientEdit.ClearEditorsInContainerById('ReviewItemContainer');
    if (ExistASPxClientControl("TestCaseToReviewGridViewControl")) {
        focusIndex = TestCaseToReviewGridViewControl.GetFocusedRowIndex();
        
        TestCaseToReviewGridViewControl.SetFocusedRowIndex(-1);
        TestCaseToReviewGridViewControl.Refresh();
    }
	var key = TestCaseToReviewGridViewControl.GetRowKey(TestCaseToReviewGridViewControl.GetFocusedRowIndex());
	if (!(key > 0)) {
		EnableReviewControls(false);
	}
}

function EnableReviewControls(value) {
	if (ExistASPxClientControl("TestCaseEditReviewCommentControl")  
		&& ExistASPxClientControl("TestCaseEditReviewStatusControl") 
		&& ExistASPxClientControl("TestCaseEditReviewCmdSave")) {
			TestCaseEditReviewCommentControl.SetEnabled(value);
			TestCaseEditReviewStatusControl.SetEnabled(value);
			TestCaseEditReviewCmdSave.SetEnabled(value);
	}
}

function ClearReview() {
    var template = document.getElementById('testcase-content-div');

    if (template != null
        && typeof template != 'undefined' 
        && template.style.display != 'none'){
		TestCaseReviewDetailsPanelTop.PerformCallback(0);
		TestCaseReviewDetailsPanelBottom.PerformCallback(0);
	}
}

function TestCaseToReviewGridViewControlIsEmpty() {
	return !(TestCaseToReviewGridViewControl.VisibleRowCount > 0);
}

function TestCaseEditReviewStatusControl_Validate(s, e) {
	e.isValid = TestCaseEditReviewStatusControl.GetValue() > 0 || TestCaseEditReviewCommentControl.GetText().length > 0;
}

function ImplHandleMainSplitterInit(s, e) {
    TestCaseToReviewGridViewControl_Resize();
}

function ImplHandleMainSplitterResized(s, e) {
    TestCaseToReviewGridViewControl_Resize();
}

function MainRightControl_ResizeContent(width, height) {
    CurrentTestRuns_MainRightControl_ResizeContent(null, null);
}

function TestCaseToReviewGridViewControl_Init(s,e){
    TestCaseToReviewGridViewControl_Resize();
    
    if (TestCaseToReviewGridViewControl.GetVisibleRowsOnPage() <= 0) {
		ClearReview();
    }

    TestCaseToReviewGridViewControl.SetFocusedRowIndex(0);
}

function TestCaseToReviewGridViewControl_EndCallback(s, e) {
    TestCaseToReviewGridViewControl_Resize();
    if (TestCaseToReviewGridViewControl.GetVisibleRowsOnPage() <= 0) {
        ClearReview();
    }
    else if (TestCaseToReviewGridViewControl.GetFocusedRowIndex() < 0 && focusIndex < TestCaseToReviewGridViewControl_GetLastVisibleRowIndex()) {
        TestCaseToReviewGridViewControl.SetFocusedRowIndex(focusIndex);
    } else if (TestCaseToReviewGridViewControl.GetFocusedRowIndex() < 0 && focusIndex >= TestCaseToReviewGridViewControl_GetLastVisibleRowIndex()) {
        TestCaseToReviewGridViewControl.SetFocusedRowIndex(TestCaseToReviewGridViewControl_GetLastVisibleRowIndex());
    }
}

function TestCaseToReviewGridViewControl_Resize() {
    if (ExistASPxClientControl("MS")) {
        var pane = MS.GetPaneByName("NavBarContentSplitterPane");
        if (!IsNullOrUndefined(pane)) {
            
            var height = pane.GetClientHeight();
            var width = pane.GetClientWidth();

            if (ExistASPxClientControl("TestCaseToReviewGridViewControl")) {
                TestCaseToReviewGridViewControl.SetHeight(height);
            }
        }
    }
    
}

function TestCaseToReviewGridViewControl_GetLastVisibleRowIndex() {
    return TestCaseToReviewGridViewControl.GetTopVisibleIndex() + TestCaseToReviewGridViewControl.GetVisibleRowsOnPage() -1;
}