﻿<%@ Control
    Language="C#"
    AutoEventWireup="true"
    CodeBehind="DashboardFilterEditControl.ascx.cs"
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.DashboardFilter.DashboardFilterEditControl" %>

<%@ Register TagPrefix="zt" TagName="FilterItems" Src="FilterItemsControl.ascx" %>

<dxsp:ASPxSplitter Orientation="Horizontal" ID="sFilterEdit" runat="server"
    Width="100%" Height="500px" ShowSeparatorImage="true">
    <Border BorderStyle="None" BorderWidth="0"></Border>
    <Panes>
        <dxsp:SplitterPane AllowResize="True" Name="LeftContent" Size="250px" MinSize="150px">
            <PaneStyle>
                <BorderRight BorderStyle="None"></BorderRight>
            </PaneStyle>
            <Separator Visible="true"></Separator>
            <ContentCollection>
                <dxsp:SplitterContentControl runat="server">
                    <dx:ASPxListBox
                        runat="server"
                        ID="lbFilters"
                        ClientInstanceName="lbFilters"
                        EnableSynchronization="False"
                        SettingsLoadingPanel-Enabled="False"
                        SelectionMode="Single"
                        TextField="Name"
                        ValueField="ID"
                        Width="100%"
                        Height="495px"
                        OnCallback="lbFiltersCallback">
                        <Border BorderStyle="None" BorderWidth="0"></Border>
                        <ClientSideEvents
                            SelectedIndexChanged="lbFiltersSelectedIndexChanged" />
                    </dx:ASPxListBox>
                </dxsp:SplitterContentControl>
            </ContentCollection>
        </dxsp:SplitterPane>
        <dxsp:SplitterPane AllowResize="True" Name="RightContent" >
            <PaneStyle>
                <Border BorderStyle="None"></Border>
            </PaneStyle>
            <Separator Visible="true"></Separator>
            <ContentCollection>
                <dxsp:SplitterContentControl runat="server">
                    <div id="RightContentInner">
                        <dxtc:ASPxPageControl
                            runat="server"
                            ID="FilterEditTab"
                            ClientInstanceName="FilterEditTab"
                            ActiveTabIndex="0"
                            TabPosition="Top"
                            Height="499px"
                            Width="100%">
                            <ContentStyle>
                                <Paddings Padding="10" />
                            </ContentStyle>
                            <TabPages>
                                <dxtc:TabPage
                                    Text="Filter"
                                    Name="Filter">
                                    <ContentCollection>
                                        <dxw:ContentControl ID="ContentControl1" runat="server" Width="100%">
                                            <table width="100%">
                                                <tr>
                                                    <td width="150px">
                                                        <asp:Localize ID="Localize1" runat="server" meta:resourcekey="lPathInTree">Pfad im Baum:</asp:Localize>
                                                    </td>
                                                    <td colspan="2">
                                                        <dx:ASPxTextBox
                                                            runat="server"
                                                            ID="tbTreePath"
                                                            ClientInstanceName="tbTreePath"
                                                            ReadOnly="True"
                                                            Width="100%">
                                                        </dx:ASPxTextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td width="150px">
                                                        <asp:Localize ID="Localize2" runat="server" meta:resourcekey="lName">Name:</asp:Localize>
                                                    </td>
                                                    <td colspan="2">
                                                        <dx:ASPxTextBox
                                                            runat="server"
                                                            ID="tbFilterName"
                                                            ClientInstanceName="tbFilterName"
                                                            Width="100%">
                                                        </dx:ASPxTextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                            &nbsp;
                                            <table width="100%">
                                                <tr>
                                                    <td width="150px">
                                                        <asp:Localize ID="Localize3" runat="server" meta:resourcekey="lTestResult">Testergebnis:</asp:Localize>
                                                    </td>
                                                    <td>
                                                        <zt:FilterItems
                                                            runat="server"
                                                            ID="fiTestResults"
                                                            Name="TestResult"
                                                            SelectAllOption="True"
                                                            Width="100%" />
                                                    </td>
                                                <tr>
                                            </table>
                                            &nbsp;
                                            <asp:Repeater
                                                runat="server"
                                                ID="AttributesDataList">
                                                <HeaderTemplate>
                                                    <table width="100%">
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <tr>
                                                        <td width="150px"><%# Eval(@"Name") %>:</td>
                                                        <td>
                                                            <zt:FilterItems
                                                                runat="server"
                                                                ID="fiAttributes"
                                                                Name='<%# Eval(@"Name") %>'
                                                                DataSource='<%# Eval(@"Values") %>'
                                                                SelectAllOption="True"
                                                                Width="100%" />
                                                        </td>
                                                    </tr>
                                                </ItemTemplate>
                                                <FooterTemplate>
                                                    </table>
                                                </FooterTemplate>
                                            </asp:Repeater>
                                        </dxw:ContentControl>
                                    </ContentCollection>
                                </dxtc:TabPage>
                                <dxtc:TabPage
                                    Text="Berechtigungen"
                                    Name="Berechtigungen">
                                    <ContentCollection>
                                        <dxw:ContentControl ID="ContentControl2" runat="server" Width="100%">
                                            <div style="padding: 5px 2px 5px 0;">
                                                <asp:Localize ID="Localize4" runat="server" Text="Zugriff haben:" meta:resourcekey="lPermissions"/>
                                            </div>
                                            <dx:ASPxListBox
                                                runat="server"
                                                ID="lbFilterPermissions"
                                                ClientInstanceName="lbFilterPermissions"
                                                CssClass="devExpressLinkBreakFix"
                                                SelectionMode="Single"
                                                ShowLoadingPanel="True"
                                                ValueField="ID"
                                                Width="100%"
                                                Height="300px"
                                                OnCallback="lbFilterRightsCallback">
                                                <ClientSideEvents SelectedIndexChanged="function(s,e){ updateUI(); }"></ClientSideEvents>
                                                <Columns>
                                                    <dx:ListBoxColumn FieldName="UserGroupName" Caption="Benutzergruppe" Width="100%" />
                                                    <dx:ListBoxColumn FieldName="DisplayAllowedPermissions" Caption="Berechtigung" Width="100px" />
                                                </Columns>
                                            </dx:ASPxListBox>
                                            <div style="padding: 5px 0;">
                                                <dx:ASPxButton
                                                    runat="server"
                                                    ID="cmdDeletePermissions"
                                                    ClientInstanceName="cmdDeletePermissions"
                                                    AutoPostBack="False"
                                                    CssClass="devExpressLinkBreakFix"
                                                    meta:resourcekey="cmdDeletePermissions">
                                                    <ClientSideEvents
                                                        Click="cmdDeletePermissionsClick" />
                                                    <Image Url="~/design/navigate_minus.png"></Image>
                                                </dx:ASPxButton>
                                            </div>
                                            <div style="padding: 15px 2px 0 0;">
                                                <asp:Localize ID="Localize5" runat="server" Text="Neuer Zugriff für:" meta:resourcekey="lNewPermission"/>
                                            </div>
                                            <div style="padding: 5px 5px 5px 0;">
                                                <dx:ASPxComboBox
                                                    runat="server"
                                                    ID="cbUserGroups"
                                                    ClientInstanceName="cbUserGroups"
                                                    CssClass="devExpressLinkBreakFix"
                                                    DropDownRows="20"
                                                    TextField="Name"
                                                    ValueField="ID"
                                                    Width="220px">
                                                </dx:ASPxComboBox>
                                                <dx:ASPxCheckBox
                                                    runat="server"
                                                    ID="cbReadPermission"
                                                    ClientInstanceName="cbReadPermission"
                                                    CssClass="devExpressLinkBreakFix"
                                                    Checked="True"
                                                    ReadOnly="True"
                                                    Text="Lesezugriff">
                                                </dx:ASPxCheckBox>
                                                <dx:ASPxCheckBox
                                                    runat="server"
                                                    ID="cbFullPermission"
                                                    ClientInstanceName="cbFullPermission"
                                                    CssClass="devExpressLinkBreakFix"
                                                    Text="Vollzugriff">
                                                </dx:ASPxCheckBox>
                                                <dx:ASPxButton
                                                    runat="server"
                                                    ID="cmdAddPermission"
                                                    ClientInstanceName="cmdAddPermission"
                                                    AutoPostBack="False"
                                                    ClientEnabled="False"
                                                    CssClass="devExpressLinkBreakFix"
                                                    meta:resourcekey="cmdAddPermission">
                                                    <ClientSideEvents Click="cmdAddPermissionClick" />
                                                    <Image Url="~/design/navigate_plus.png"></Image>
                                                </dx:ASPxButton>
                                            </div>
                                        </dxw:ContentControl>
                                    </ContentCollection>
                                </dxtc:TabPage>
                            </TabPages>
                        </dxtc:ASPxPageControl>
                    </div>
                </dxsp:SplitterContentControl>
            </ContentCollection>
        </dxsp:SplitterPane>
    </Panes>
</dxsp:ASPxSplitter>

<div class="dashboard-filter-footer">
    <table width="100%">
        <colgroup>
            <col/>
            <col width="*"/>
        </colgroup>
        <tr>
            <td>
                <dx:ASPxButton
                    runat="server"
                    ID="btnAddFilter"
                    ClientInstanceName="btnAddFilter"
                    AutoPostBack="False"
                    CssClass="devExpressLinkBreakFix"
                    EnableViewState="False"
                    UseSubmitBehavior="False"
                    meta:resourcekey="btnAddFilter">
                    <ClientSideEvents Click="btnAddFilterClick"></ClientSideEvents>
                    <Image Url="~/design/navigate_plus.png"></Image>
                </dx:ASPxButton>
                <dx:ASPxButton
                    runat="server"
                    ID="btnDeleteFilter"
                    ClientInstanceName="btnDeleteFilter"
                    AutoPostBack="False"
                    CssClass="devExpressLinkBreakFix"
                    EnableViewState="False"
                    UseSubmitBehavior="False"
                    meta:resourcekey="btnDeleteFilter">
                    <ClientSideEvents
                        Click="btnDeleteFilterClick"></ClientSideEvents>
                    <Image Url="~/design/navigate_minus.png"></Image>
                </dx:ASPxButton>
                <dx:ASPxButton
                    runat="server"
                    ID="btnMoreOptions"
                    ClientInstanceName="btnMoreOptions"
                    AutoPostBack="False"
                    CssClass="devExpressLinkBreakFix"
                    EnableViewState="False"
                    UseSubmitBehavior="False"
                    meta:resourcekey="btnMoreOptions">
                    <ClientSideEvents Click="function(s,e){ pmFilterMoreOptions.ShowAtElementByID(s.name); }"></ClientSideEvents>
                    <Image Url="~/design/navigate_close.png"></Image>
                </dx:ASPxButton>
            </td>
            <td align="right">
                 <dx:ASPxButton
                    runat="server"
                    ClientInstanceName="btnStoreFilter"
                    AutoPostBack="False"
                    CssClass="devExpressLinkBreakFix"
                    EnableViewState="False"
                    Text="Filter speichern"
                    UseSubmitBehavior="True"
                    meta:resourcekey="btnStoreFilter">
                    <ClientSideEvents Click="OnBtnStoreFilterClick"></ClientSideEvents>
                </dx:ASPxButton>
                <dx:ASPxHyperLink
                    runat="server"
                    CssClass="devExpressLinkBreakFix"
                    Cursor="Pointer"
                    Text="Schließen"
                    meta:resourcekey="hlClose">
                    <ClientSideEvents
                        Click="function(s,e){ window.parent.hideEditMenu(); }" />
                </dx:ASPxHyperLink>
            </td>
        </tr>
    </table>
</div>

<dxm:ASPxPopupMenu
    ID="pmFilterMoreOptions"
    runat="server"
    ClientInstanceName="pmFilterMoreOptions"
    PopupAction="LeftMouseClick"
    PopupHorizontalAlign="LeftSides"
    PopupVerticalAlign="Below"
    ShowSubMenuShadow="False"
    GutterWidth="0px">
    <ClientSideEvents
        ItemClick="function(s,e) {
            if ( e.item.name == 'copy' ){
                pcFilterUrl.Show();
            }
            e.processOnServer=false;
        }" />
    <Items>
        <dxm:MenuItem
            Text="URL kopieren"
            Name="copy"
            meta:resourcekey="pmFilterMoreOptions_CopyUrl">
        </dxm:MenuItem>
        <dxm:MenuItem
            Text="Als XML exportieren"
            Name="export"
            NavigateUrl="DashboardFilterExport.ashx?filter="
            meta:resourcekey="pmFilterMoreOptions_ExportXML">
        </dxm:MenuItem>
    </Items>
</dxm:ASPxPopupMenu>

<dxpc:ASPxPopupControl
    ID="pcFilterUrl"
    runat="server"
    ClientInstanceName="pcFilterUrl"
    Modal="True"
    CloseAction="CloseButton"
    PopupHorizontalAlign="WindowCenter"
    PopupVerticalAlign="WindowCenter"
    ShowFooter="False"
    meta:resourcekey="pcFilterUrl"
    HeaderText="Filter URL"
    PopupAnimationType="None">
    <ClientSideEvents
        PopUp="function(s,e) {
            mFilterUrl.SetText(
                getFilterUrl() );
            mFilterUrl.SelectAll();
        }"/>
    <ModalBackgroundStyle BackColor="White" />
    <HeaderStyle BackColor="#3a628f" ForeColor="#ffffff">
    </HeaderStyle>
    <ContentCollection>
        <dxpc:PopupControlContentControl ID="PopupControlContentControl2" runat="server">
            <dx:ASPxTextBox ID="ASPxTextBox1"
                runat="server"
                ClientInstanceName="mFilterUrl"
                Width="500px">
            </dx:ASPxTextBox>
        </dxpc:PopupControlContentControl>
    </ContentCollection>
</dxpc:ASPxPopupControl>

<dxcb:ASPxCallback
    runat="server"
    ID="DashboardFilterCallback"
    ClientInstanceName="dbfCallback"
    OnCallback="DashboardFilterCallback_Callback">
        <ClientSideEvents CallbackComplete="dbfCallbackComplete"  />
</dxcb:ASPxCallback>

<dx:ASPxLoadingPanel
    runat="server"
    ID="MainLoadingPanel"
    ClientInstanceName="MainLoadingPanel"
    HorizontalAlign="Center"
    LoadingDivStyle-BackColor="White"
    Modal="True"
    VerticalAlign="Middle"
    meta:resourcekey="MainLoadingPanelResource2">
</dx:ASPxLoadingPanel>
