﻿var dialogLoaded = false;
var FilterCollection = new Array();
var LoadedFilterObject = null;
var SelectedFilterIndex = -1;
var MoreOptionsXmlExportUrl = "Translate(~/ui/mainwindow/start/dashboardfilter/dashboardfilterexport.ashx)?filter=";

var ActionQueue = new Array();

window.onload = function (s, e) {
    updateUI();
};

function lbFiltersSelectedIndexChanged(s, e) {
    startActionQueue( ["storeFilter()", "loadFilter()" ], true, "RightContentInner");
}

function startActionQueue(actions, showLoadingPanel, loadingPanelElementID) {
    if (showLoadingPanel) {
        MainLoadingPanel.ShowInElementByID(loadingPanelElementID);
    }
    $.each(
        actions,
        function (key, value) {
            ActionQueue.push(value);
        }
    );
    processActionQueue();
}

function processActionQueue() {

    if (ActionQueue.length == 0) {
        updateUI();
        MainLoadingPanel.Hide();
    } else {
        var action = ActionQueue.shift();

        eval(action);
    }
}

function btnAddFilterClick(s, e) {
    startActionQueue(["addFilter()"], true, "RightContentInner");
    disableActions();
}

function btnDeleteFilterClick(s, e) {
    if (confirm("Translate(UI_Start_DashboardFilter_ConfirmDelete)".format(LoadedFilterObject.Name))) {
        startActionQueue(["deleteFilter()"], true, "RightContentInner");
        disableActions();
    }
}

function disableActions() {
    btnDeleteFilter.SetEnabled(false);
    btnMoreOptions.SetEnabled(false);
    btnAddFilter.SetEnabled(false);
    btnStoreFilter.SetEnabled(false);
}

function addFilter() {
    var request = new Object();
    request.command = "add";
    request.viewstate = getViewstate();

    dbfCallback.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));
}

function deleteFilter() {
    var request = new Object();
    request.command = "delete";
    request.viewstate = getViewstate();

    dbfCallback.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));
}

function cmdAddPermissionClick(s, e) {
    var request = new Object();
    request.command = "add";
    request.viewstate = getViewstate();

    lbFilterPermissions.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));
}

function cmdDeletePermissionsClick(s, e) {
    var request = new Object();
    request.command = "delete";
    request.viewstate = getViewstate();

    lbFilterPermissions.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));
}

function dbfCallbackComplete(s, e) {
    var result = Sys.Serialization.JavaScriptSerializer.deserialize(e.result);
    if (result.command == "load") {
        filterLoaded(result);
    }
    if (result.command == "store") {
        filterStored(result);
        filterLoaded(result);
    }
    if (result.command == "add") {
        filterAdded(result);
        filterLoaded(result);
    }
    if (result.command == "delete") {
        filterDeleted(result);
    }
    processActionQueue();
}

function filterAdded(result) {
    resetFilter();

    LoadedFilterObject = result.data.Filter;
    SelectedFilterIndex = lbFilters.AddItem(
        result.data.Filter.Name,
        result.data.Filter.ID);

    lbFilters.SetSelectedIndex(SelectedFilterIndex);
}

function filterDeleted(result) {
    if ( window.parent.hasFilter() ) {
        window.parent.cleanReload = LoadedFilterObject.ID == $.url().param('filter');
    }

    LoadedFilterObject = null;
    SelectedFilterIndex = -1;

    lbFilters.RemoveItem(
        lbFilters.GetSelectedIndex());

    resetFilter();
}

function storeFilter() {
    
    if (LoadedFilterObject == null) {
        processActionQueue();
    }
    else
    {
        var request = new Object();
        request.command = "store";
        request.viewstate = getViewstate();

        dbfCallback.PerformCallback(
            Sys.Serialization.JavaScriptSerializer.serialize(request));
    }
}

function filterStored(result) {

    var sfi = lbFilters.GetSelectedIndex();

    lbFilters.RemoveItem(SelectedFilterIndex);
    lbFilters.InsertItem(SelectedFilterIndex, result.data.Filter.Name, result.data.Filter.ID);
    
    if ( sfi == SelectedFilterIndex) {
        lbFilters.SetSelectedIndex(SelectedFilterIndex);
    }
}

function loadFilters() {
    var request = new Object();
    request.command = "load";

    lbFilters.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));
}

function loadFilter() {

    var request = new Object();
    request.command = "load";
    request.viewstate = getViewstate();

    dbfCallback.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));

    lbFilterPermissions.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));
}

function filterLoaded(result) {
    LoadedFilterObject = result.data.Filter;
    SelectedFilterIndex = lbFilters.GetSelectedIndex();

    tbFilterName.SetText(result.data.Filter.Name);
    tbTreePath.SetText(result.data.Filter.TreePath);

    for (var fp in result.data.Filter.Parameters) {
        for (var x = 0; x < FilterCollection.length; x++) {
            var listBox = GetDevExControlByClientID(FilterCollection[x].ClientID);
            if (listBox && listBox.cpName == fp) {
                listBox.UnselectAll();
                listBox.SelectValues(result.data.Filter.Parameters[fp]);
                updateFilterDropDownText(listBox);
                break;
            }
        }
    }

    pmFilterMoreOptions.GetItemByName("export").SetNavigateUrl(
        MoreOptionsXmlExportUrl + result.data.Filter.ID);
}

function resetFilter() {

    tbFilterName.SetText();
    tbTreePath.SetText();

    for (var x = 0; x < FilterCollection.length; x++) {
        var listBox = GetDevExControlByClientID(FilterCollection[x].ClientID);
        listBox.SelectAll();
        updateFilterDropDownText(listBox);
    }

    lbFilterPermissions.ClearItems();
}

function getViewstate() {
    
    var viewstate = new Object();
    viewstate.FilterName = tbFilterName.GetText();
    viewstate.ReadPermission = cbReadPermission.GetChecked();
    viewstate.FullPermission = cbFullPermission.GetChecked();

    if (LoadedFilterObject) {
        viewstate.LoadedFilterID = LoadedFilterObject.ID;
    }

    if (lbFilters.GetSelectedItem()) {
        viewstate.SelectedFilterID = lbFilters.GetSelectedItem().value;
    }

    if (cbUserGroups.GetSelectedItem()) {
        viewstate.SelectedUserGroupID = cbUserGroups.GetSelectedItem().value;
    }

    if (lbFilterPermissions.GetSelectedItem()) {
        viewstate.SelectedPermissionID = lbFilterPermissions.GetSelectedItem().value;
    }

    viewstate.FilterParameters = new Object();
    for (var x = 0; x < FilterCollection.length; x++) {
        var listBox = GetDevExControlByClientID(FilterCollection[x].ClientID);
        if (listBox) {
            viewstate.FilterParameters[listBox.cpName] = listBox.GetSelectedValues();
        }
    }

    return viewstate;
}

function updateUI() {
    var filterSelected = lbFilters.GetSelectedIndex() > -1;

    btnDeleteFilter.SetEnabled(filterSelected);
    btnMoreOptions.SetEnabled(filterSelected);
    cmdAddPermission.SetEnabled(filterSelected);
    btnStoreFilter.SetEnabled(filterSelected);
    btnAddFilter.SetEnabled(true);

    var permissionSelected = lbFilterPermissions.GetSelectedIndex() > -1;
    cmdDeletePermissions.SetEnabled(permissionSelected);
}

function updateFilterDropDownText(listBox) {
    var dropdown = GetDevExControlByClientID(listBox.cpParentID);
    var selectedItemsString = '';
    var selectedIndices = listBox.GetSelectedIndices();

    if (selectedIndices.length == 0) {
        selectedItemsString = "Translate(UI_Start_DashboardFilter_no_filter)";
    } else {
        for (var i = 0; i < selectedIndices.length; i++) {
            var item = listBox.GetItem(selectedIndices[i]);
            if (item.value == 'all-items-selected') {
                selectedItemsString = "Translate(UI_Start_DashboardFilter_no_filter)";
                break;
            } else {
                selectedItemsString += item.text;
                if (i < selectedIndices.length - 1) {
                    selectedItemsString += ' | ';
                }
            }
        }
    }
    dropdown.SetText(selectedItemsString);
}

function updateFilterListBox(listBox, selectedIndex) {
    var item = listBox.GetItem(selectedIndex);
    if (item.value == 'all-items-selected') {
        item.selected ? listBox.SelectAll() : listBox.UnselectAll();
    } else {
        if (listBox.GetSelectedIndices().length == listBox.GetItemCount() - 1 &&
            !listBox.GetItem(0).selected) {
            listBox.SelectIndices([0]);
        } else {
            listBox.UnselectIndices([0]);
        }
    }
}

function getFilterUrl() {
    var protocol = window.parent.location.protocol;
    var host = window.parent.location.host;
    var relative = LoadedFilterObject.Url;

    return protocol + '//' + host + relative;
}

function OnBtnStoreFilterClick(s, e) {
    startActionQueue(["storeFilter()"], true, "RightContentInner");
    disableActions();
}