﻿// Fields
// ------------------------------------------------------------------------------------------

var PackageTreeContainer = null;
var LoadedDashboard = false;
var LoadedOverview = false;
var RefreshDashboard = true;
var RefreshOverview = true;
var isReloading = false;

// Initialize
// ------------------------------------------------------------------------------------------

window.ImplHandleMainSplitterResized = function (s, e) {
    ResizeContent();
};

// Procedures & Logic
// ------------------------------------------------------------------------------------------

function ResizeContent() {
    var mainContentSplitterPane = MS.GetPaneByName("MainContentSplitterPane");

    ResizeRightPanelContent(
        mainContentSplitterPane.GetClientWidth(), 
        mainContentSplitterPane.GetClientHeight());
}

function ResizeRightPanelContent(width, height) {

    var outer = $("#content-outer-div");
    var inner1 = $("#dashboard-content");
    var inner2 = $("#testcase-content-div");

    if (outer != null && typeof (outer) != "undefined") {
        outer.height(height);
        outer.width(width);
    }

    if (inner1 != null && typeof (inner1) != "undefined") {
        inner1.height(height);
        inner1.width(width);
        
        if (ExistASPxClientControl("DashboardTabControl")) {
            if (DashboardTabControl.GetActiveTab().name == "Dashboard") { Reload(); }
        }
    }
    
    if (inner2 != null && typeof (inner2) != "undefined") {
        inner2.height(height);
        inner2.width(width);

        $("#contentcompact").height(height - $("#titlecompact").height() - 35);
    }

    if (ExistASPxClientControl("PlannedTestCaseVariantsGridView")) {
        PlannedTestCaseVariantsGridView.SetHeight(height - 55);
        PlannedTestCaseVariantsGridView.SetWidth(width - 25);
    }
}

function OnTreeInit(s, e) {
    PackageTreeContainer = s;

    if (PackageTreeContainer.GetFocusedNodeKey() != null &&
        PackageTreeContainer.GetFocusedNodeKey() != "") {
        Reload();
    }
}

function OnTreeFocusedNodeChanged(s, e) {
    e.processOnServer = false;
    Reload();
}

function OnContentEndCallback(s, e) {
    ResizeContent();
    isReloading = false;
}

function Reload() {
    if (!isReloading) {
        isReloading = true;

        PackageTreeContainer.GetNodeValues(
            PackageTreeContainer.GetFocusedNodeKey(),
            new Array("ID", "UniqueID", "Type"),
            DoReload);
    }
}

function DoReload(values) {

    var outer = $("#content-outer-div");

    var request = new Object();
    request.Command = "refresh";
    request.FocusedNodeKey = PackageTreeContainer.GetFocusedNodeKey();
    request.ID = values[0];
    request.UniqueID = values[1];
    request.Type = values[2];

    if (outer != null && typeof (outer) != 'undefined') {
        request.Height = outer.height() - 57;
        request.Width = outer.width() - 15;
    }

    if (typeof (request.Height) == 'undefined' || request.Height < 200) {
        request.Height = 400;
    }
    if (typeof (request.Width) == 'undefined' || request.Width < 200) {
        request.Width = 400;
    }

    ContentCallbackPanel.PerformCallback(
        Sys.Serialization.JavaScriptSerializer.serialize(request));
}