﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    CodeBehind="TestUnitTreeMenu.ascx.cs" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.TestUnitTreeMenu" 
    %>
<%@ Import Namespace="Zeta.VoyagerLibrary.WebForms.Base" %>
<%@ Import Namespace="ZetaTest.WebMain.UI.Entrance" %>
<%@ Register TagPrefix="ztwa" Namespace="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.PopupMenus.Base" Assembly="ZetaTest.WebMain" %>
<%@ Register TagPrefix="ztwa" TagName="TestUnitEditControl" Src="~/UI/TestUnitsAndCases/TestUnits/TestUnitEditPopupContainerControl.ascx" %>

<ztwa:TreePopupMenu
    runat="server"
    ID="TestUnitPopupMenu"
    CssClass="disable-selection"
    ClientInstanceName="testUnitPopupMenu">

    <Items>
        <dxm:MenuItem Name="EditTestUnit" Text="Edit" 
            NavigateUrl="#" meta:resourcekey="EditTestUnitResource">
        </dxm:MenuItem>
        <dxm:MenuItem Name="AddTestCase" Text="New test case" Target="_blank"
            NavigateUrl="#" meta:resourcekey="AddTestCaseResource">
        </dxm:MenuItem>
        <dxm:MenuItem Name="AddTestUnit" Text="New test unit"
            NavigateUrl="#" meta:resourcekey="AddTestUnitResource">
        </dxm:MenuItem>
        <dxm:MenuItem Name="DeleteTestUnit" Text="Delete"
            NavigateUrl="#" meta:resourcekey="DeleteTestUnitResource">
        </dxm:MenuItem>
    </Items>
</ztwa:TreePopupMenu>

<script type="text/javascript">
    function fillTestUnitPopupMenu(uac) {

        if (<%=ProjectFeatureChecker.AllowEditingTestUnits?@"true":@"false"%>) {
            testUnitPopupMenu.GetItemByName('AddTestCase').SetNavigateUrl(uac.UrlAddTestCase);
            testUnitPopupMenu.GetItemByName('AddTestCase').SetEnabled(uac.CanAddTestCase);

            testUnitPopupMenu.GetItemByName('AddTestUnit').SetNavigateUrl(uac.UrlAddTestUnit);
            testUnitPopupMenu.GetItemByName('AddTestUnit').SetEnabled(uac.CanAddTestUnit);

            testUnitPopupMenu.GetItemByName('EditTestUnit').SetNavigateUrl(uac.UrlEditTestUnit);
            testUnitPopupMenu.GetItemByName('EditTestUnit').SetEnabled(uac.CanEditTestUnit);

            testUnitPopupMenu.GetItemByName('DeleteTestUnit').SetNavigateUrl(uac.UrlDeleteTestUnit);
            testUnitPopupMenu.GetItemByName('DeleteTestUnit').SetEnabled(uac.CanDeleteTestUnit);
        }
    }

    function editTestUnit(testUnitID, nodeKey) {
        logit("Edit test unit, ID {0}, key '{1}'.".format(testUnitID, nodeKey));

        var url = '<%=PageBase.ReplaceTilde(@"~/UI/TestUnitsAndCases/TestUnits/TestUnitEditPopupForm.aspx")%>?TestUnitID={0}&NodeKey={1}'.format(testUnitID, nodeKey);
        logit("Setting popup URL to '{0}'.".format(url));

        TestUnitEditPopup.SetContentUrl(url);
        TestUnitEditPopup.Show();
    }

    function addTestUnit(parentTestUnitID, parentNodeKey) {
        logit("Add test unit, parent ID {0}, parent key '{1}'.".format(parentTestUnitID, parentNodeKey));

        var url = '<%=PageBase.ReplaceTilde(@"~/UI/TestUnitsAndCases/TestUnits/TestUnitEditPopupForm.aspx")%>?ParentTestUnitID={0}&ParentNodeKey={1}'.format(parentTestUnitID, parentNodeKey);
        logit("Setting popup URL to '{0}'.".format(url));

        TestUnitEditPopup.SetContentUrl(url);
        TestUnitEditPopup.Show();
    }
</script>

<ztwa:TestUnitEditControl runat="server"
    ID="TestUnitEditControl"
    />