﻿<%@ Control 
    Language="C#" 
    AutoEventWireup="true" 
    Inherits="ZetaTest.WebMain.UI.MainWindow.Start.LeftTree.TreeControl" Codebehind="TreeControl.ascx.cs" 
    %>
<%@ Register TagPrefix="ztwa" TagName="TestCaseTreeMenu" Src="~/UI/MainWindow/Start/LeftTree/PopupMenus/TestCaseTreeMenu.ascx" %>
<%@ Register TagPrefix="ztwa" TagName="TestPlanTreeMenu" Src="~/UI/MainWindow/Start/LeftTree/PopupMenus/TestPlanTreeMenu.ascx" %>
<%@ Register TagPrefix="ztwa" TagName="TestRunTreeMenu" Src="~/UI/MainWindow/Start/LeftTree/PopupMenus/TestRunTreeMenu.ascx" %>
<%@ Register TagPrefix="ztwa" TagName="TestUnitRootTreeMenu" Src="~/UI/MainWindow/Start/LeftTree/PopupMenus/TestUnitRootTreeMenu.ascx" %>
<%@ Register TagPrefix="ztwa" TagName="TestUnitTreeMenu" Src="~/UI/MainWindow/Start/LeftTree/PopupMenus/TestUnitTreeMenu.ascx" %>
<%@ Register TagPrefix="ztwa" TagName="NoOptionsTreeMenu" Src="~/UI/MainWindow/Start/LeftTree/PopupMenus/NoOptionsTreeMenu.ascx" %>

<dx:ASPxTreeList 
    runat="server" 
    ID="MainTreeList" 
    ClientInstanceName="MainTreeList"
    AutoGenerateColumns="False" 
    KeyFieldName="ID"
    Width="100%"
    CssClass="disable-selection"
    meta:resourcekey="MainTreeListResource1"
    OnVirtualModeCreateChildren="MainTreeList_VirtualModeCreateChildren"
    OnVirtualModeNodeCreating="MainTreeList_VirtualModeNodeCreating" 
    OnHtmlRowPrepared="MainTreeList_HtmlRowPrepared" 
    OnCustomCallback="MainTreeList_CustomCallback"
    OnCallback="MainTreeList_Callback"
    OnHtmlDataCellPrepared="MainTreeList_HtmlDataCellPrepared">
    <Settings ShowRoot="true" ShowColumnHeaders="false" SuppressOuterGridLines="true" ShowTreeLines="False" />
    <SettingsBehavior AllowFocusedNode="true" FocusNodeOnLoad="false" FocusNodeOnExpandButtonClick="false" />
    <SettingsCookies Enabled="true" StoreExpandedNodes="true" />
    <Columns>
        <dx:TreeListDataColumn FieldName="Title" VisibleIndex="0"
			meta:resourcekey="TreeListDataColumnResource1">
			<DataCellTemplate>
				<dxe:ASPxImage runat="server" ID="Icon" ImageAlign="AbsMiddle" Width="16px" 
					Height="16px" meta:resourcekey="IconResource1" />
				&nbsp;<span class='<%# Eval(@"TitleCssClass") %>'><%# Eval(@"Title")%></span>
			</DataCellTemplate>
		</dx:TreeListDataColumn>
        <dx:TreeListDataColumn Name="Edit" Width="23" 
            meta:resourcekey="TreeListDataColumnResource2" >
            <CellStyle />
			<DataCellTemplate>
			    <dxe:ASPxImage 
			        runat="server" 
			        ID="NodeRunMenu" 
			        Cursor="Pointer"
			        ImageUrl="~/design/icon-bearbeiten.png" 
			        Width="23px" 
			        Height="16px" 
			        CssClass="NodeRunMenu" 
			        ClientVisible="False" meta:resourcekey="NodeRunMenuResource1"/>
			    <dxe:ASPxImage 
			        runat="server" 
			        ID="EmptyImage" 
			        ImageUrl="~/design/empty-pixel.png" 
			        Width="23px" 
			        Height="16px" 
			        CssClass="EmptyImage" 
			        ClientVisible="true" meta:resourcekey="EmptyImageResource1"/>
			</DataCellTemplate>
		</dx:TreeListDataColumn>
    </Columns>
</dx:ASPxTreeList>

<dxcp:ASPxCallback 
    runat="server" 
    ID="TreeCallback" 
    OnCallback="TreeCallback_Callback"
    ClientInstanceName="TreeCallback">
    <ClientSideEvents
        CallbackComplete="function (s,e) {
        }"/>    
</dxcp:ASPxCallback>

<ztwa:TestCaseTreeMenu runat="server" ID="TestCaseTreePopupMenuControl"/>
<ztwa:TestPlanTreeMenu runat="server" ID="TestPlanTreePopupMenuControl"/>
<ztwa:TestRunTreeMenu runat="server" ID="TestRunTreePopupMenuControl"/>
<ztwa:TestUnitRootTreeMenu runat="server" ID="TestUnitRootTreePopupMenuControl"/>
<ztwa:TestUnitTreeMenu runat="server" ID="TestUnitTreePopupMenuControl"/>
<ztwa:NoOptionsTreeMenu runat="server" ID="NoOptionsTreePopupMenuControl"/>
