﻿$(document).ready(function () {
    logit('SignalR begin to init.');

    var hub = $.connection.testCaseTree;

    hub.client.notifyTreeToUpdateTestCase = function (testCaseID, nodeKey) {
        logit('SignalR notification "notifyTreeToUpdateTestCase" received. Test case ID is "{0}", nodeKey is "{1}".'.format(testCaseID, nodeKey));

        var param = Sys.Serialization.JavaScriptSerializer.serialize({
            message: 'updateTestCase',
            testCaseID: testCaseID
        });

        MainTreeList.PerformCustomCallback(param);
        
        if (MainTreeList.GetFocusedNodeKey() == nodeKey) {
            logit("Node IS currently selected, have to update details panel.");

            // TODO: Den rechten Content-Bereich neu laden.
            
        } else {
            logit("Node is currently NOT selected, do not have to update details panel.");
        }
    };

    hub.client.notifyTreeToUpdateTestUnit = function (testUnitID, nodeKey) {
        logit('SignalR notification "notifyTreeToUpdateTestUnit" received. Test unit ID is "{0}", nodeKey is "{1}".'.format(testUnitID, nodeKey));

        var param = Sys.Serialization.JavaScriptSerializer.serialize({
            message: 'updateTestUnit',
            testUnitID: testUnitID
        });

        MainTreeList.PerformCustomCallback(param);
        
        if (MainTreeList.GetFocusedNodeKey() == nodeKey) {
            logit("Node IS currently selected, have to update details panel.");

            // TODO: Den rechten Content-Bereich neu laden.
            
        } else {
            logit("Node is currently NOT selected, do not have to update details panel.");
        }
    };

    hub.client.notifyTreeNodeRemoved = function (nodeKey) {
        logit('SignalR notification "notifyTreeNodeRemoved" received. nodeKey is "{0}".'.format(nodeKey));

        // Ein Löschen ist im Unbound-Virtual-Mode nicht möglich. Es wurde auf DB-Ebene ja schon gelöscht,
        // deshalb hier schlicht die Zeile in der GUI entfernen.
        
        var row = $(MainTreeList.GetNodeHtmlElement(nodeKey));
        row.remove();
    };

    // TODO: Andere "events" hier handlen.

    $.connection.hub.start().done(function () {
        logit("SignalR hub connection started.");
        // .
    });
});