﻿<%@ Control
    Language="C#"
    AutoEventWireup="true"
    Inherits="ZetaTest.WebMain.UI.MainWindow.TestPlansAndRuns.TreeControl" Codebehind="TreeControl.ascx.cs" %>

<script type="text/javascript">

    function NavBarSplitterPane_SetHeight(height) {
        if (ExistASPxClientControl("PackageTreeList")) {
            PackageTreeList.SetHeight(height);
        }
    }

    var currentNodeKey;
    var currentGearImage;
    var currentEmtpyImage;
    function ShowMenu(cell, nodeKey, type, url, uacJson) {
        if(!ExistASPxClientControl("clientPopupMenu")){
            return;
        }

        var len = clientPopupMenu.GetItemCount();
        var uac = $.parseJSON(uacJson);

        for (var i=0; i<len; ++i) {

            var menuItem = clientPopupMenu.GetItem(i);

            if (menuItem && uac && menuItem.name == "StartNewTestRun" && uac.CanStartNewTestRunOnTestPlan) {
                menuItem.SetEnabled(true);
                menuItem.SetNavigateUrl(url);
            }
            else if (menuItem && uac && menuItem.name == "ContinueTestRun" && uac.CanContinueTestRun) {
                menuItem.SetEnabled(true);
                menuItem.SetNavigateUrl(url);
            } else if (menuItem) {
                menuItem.SetEnabled(false);
            }
        }

        currentEmtpyImage = $(cell).find('img.EmptyImage');
        currentGearImage = $(cell).find('img.NodeRunMenu');

        clientPopupMenu.ShowAtElement(cell);
        currentNodeKey = nodeKey;
    }

    function OnNodeHover(row, nodeKey) {
        var r = $("#" + row);

        var emptyImage = r.find('img.EmptyImage');
        var hoverGearImage = r.find('img.NodeRunMenu');

        emptyImage.hide();
        hoverGearImage.show();

        r.addClass("dxtlHoverNode");
    }

    function OnCancelNodeHover(row, nodeKey) {
        var r = $("#" + row);

        var hoverEmptyImage = r.find('img.EmptyImage');
        var hoverGearImage = r.find('img.NodeRunMenu');

        if (currentGearImage == null || currentGearImage.attr('id') != hoverGearImage.attr('id') || !clientPopupMenu.GetVisible()) {
            hoverGearImage.hide();
            hoverEmptyImage.show();
        }

        r.removeClass("dxtlHoverNode");
    }

    function OnCellClick(cell, nodeKey, type, url, uac) {
        ShowMenu(cell, nodeKey, type, url, uac);
    }

    function OnCancelCellHover(cell, nodeKey) {    }

</script>

<dx:ASPxTreeList
    runat="server"
    ID="TreeList"
    ClientInstanceName="PackageTreeList"
    Width="100%"
    KeyFieldName="ID"
    OnVirtualModeCreateChildren="packageTreeListVirtualModeCreateChildren"
    OnVirtualModeNodeCreating="packageTreeListVirtualModeNodeCreating"
    OnHtmlRowPrepared="packageTreeListHtmlRowPrepared"
    OnHtmlDataCellPrepared="packageTreeListHtmlDataCellPrepared"
    AutoGenerateColumns="False" meta:resourcekey="PackageTreeListResource1">
    <Settings ShowRoot="true" ShowColumnHeaders="false" SuppressOuterGridLines="true" ShowTreeLines="False" />
    <SettingsBehavior AllowFocusedNode="true" FocusNodeOnLoad="false" FocusNodeOnExpandButtonClick="false" />
    <SettingsCookies Enabled="true" StoreExpandedNodes="true" />
    <Columns>
        <dx:TreeListDataColumn FieldName="Title" VisibleIndex="0"
            meta:resourcekey="TreeListDataColumnResource1"  >
            <DataCellTemplate>
                <dxe:ASPxImage runat="server" ID="Icon" ImageAlign="AbsMiddle" Width="16px"
                    Height="16px" meta:resourcekey="IconResource1" />
                &nbsp;<span class='<%# Eval(@"TitleCssClass") %>'><%# Eval(@"Title")%></span>
            </DataCellTemplate>
        </dx:TreeListDataColumn>
        <dx:TreeListDataColumn Name="Edit" Width="23"
            meta:resourcekey="TreeListDataColumnResource2" >
            <CellStyle />
            <DataCellTemplate>
                <dxe:ASPxImage
                    runat="server"
                    ID="NodeRunMenu"
                    Cursor="Pointer"
                    ImageUrl="~/design/icon-bearbeiten.png"
                    Width="23px"
                    Height="16px"
                    CssClass="NodeRunMenu"
                    ClientVisible="False" meta:resourcekey="NodeRunMenuResource1">
                    </dxe:ASPxImage>
                    <dxe:ASPxImage
                        runat="server"
                        ID="EmptyImage"
                        ImageUrl="~/design/empty-pixel.png"
                        Width="23px"
                        Height="16px"
                        CssClass="EmptyImage"
                        ClientVisible="true" meta:resourcekey="EmptyImageResource1">
                        </dxe:ASPxImage>
            </DataCellTemplate>
        </dx:TreeListDataColumn>
    </Columns>
</dx:ASPxTreeList>

<dxm:ASPxPopupMenu
    ID="PopupMenu"
    runat="server"
    ClientInstanceName="clientPopupMenu"
    PopupVerticalAlign="Below"
    PopupHorizontalAlign="LeftSides"
    ShowSubMenuShadow="False" GutterWidth="0px"
    meta:resourcekey="PopupMenuResource1">
    <Items>
        <dxm:MenuItem Name="StartNewTestRun" Text="Start new test run..." Target="_blank"
            NavigateUrl="#" meta:resourcekey="MenuItemResource1" >
        </dxm:MenuItem>
         <dxm:MenuItem Name="ContinueTestRun" Text="Continue tests..." Target="_blank"
            NavigateUrl="#" meta:resourcekey="MenuItemResource2">
        </dxm:MenuItem>
    </Items>
    <ClientSideEvents  CloseUp="function(s,e){
            if(currentGearImage){
                currentGearImage.hide();
            }

            if(currentEmtpyImage){
                currentEmtpyImage.show();
            }

            currentGearImage = null;
            currentEmtpyImage = null;}" />
</dxm:ASPxPopupMenu>
