<%@ Control 
	Language="C#" 
	AutoEventWireup="true" 
	Inherits="ZetaTest.WebMain.UI.TestPlansAndRuns.PlannedTestCases.TestResultAttachmentsControl" Codebehind="TestResultAttachmentsControl.ascx.cs" %>

<dxp:ASPxPanel runat="server" ID="TestResultAttachmentsPanel" 
	ClientInstanceName="TestResultAttachmentsContent" Height="100%" Width="100%">
	<PanelCollection>
		<dxp:PanelContent runat="server">
			<div id="attachments-content-div" style="width:100%;height:100%; border: 1px solid #A8A8A8;">

			    <div style="padding:20px">
                                
                    <dxcp:ASPxPanel
                        runat="server"
                        ID="NoItemPanel"
                        ClientInstanceName="AttachmentsNoItemPanel"
                        ClientVisible="false">
                        <PanelCollection>
                            <dxp:PanelContent>
                                <p class="no-attachments-info"><asp:Localize ID="Localize1" runat="server" 
									meta:resourcekey="Localize1Resource1"
									Text="No attachments present." /></p>
                            </dxp:PanelContent>
                        </PanelCollection>    
                    </dxcp:ASPxPanel>

                    <dxgv:AspxGridView 
						    ID="AttachmentsGridView" 
						    ClientInstanceName="AttachmentsGridView" 
                            EnableCallbackCompression="true"
						    runat="server" 
						    Width="100%"
						    AutoGenerateColumns="False" 
						    KeyFieldName="ID"
							meta:resourcekey="AttachmentsGridViewResource1"
						    DataSourceID="AttachmentsDataSource">
                            <ClientSideEvents EndCallback="OnAttachmentsGridViewEndCallback"  />
						    <SettingsPager PageSize="100" AlwaysShowPager="false" />
						    <Settings ShowFooter="false"/>
						    <SettingsBehavior ConfirmDelete="true" />
                            <SettingsLoadingPanel Mode="Disabled" />
						    <Styles>
							    <AlternatingRow Enabled="True" />
                                <LoadingPanel BackColor="White" Border-BorderColor="Gray"  />
						    </Styles>
						    <Columns>
							    <dxgv:GridViewDataTextColumn Caption="File" FieldName="UserReadableName" 
									meta:resourcekey="GridViewDataTextColumnResource1"
									ReadOnly="True" VisibleIndex="0">
								    <Settings AutoFilterCondition="Contains"  />
								    <CellStyle VerticalAlign="Top" />
								    <DataItemTemplate>
									    <dxe:ASPxHyperLink 
                                            ID="DownloadHyperLink" 
                                            runat="server" 
                                            CssClass='<%# Eval(@"HyperLinkCssClass")%>'
                                            ToolTip="Download" 
                                            Target="_blank"
                                            NavigateUrl='<%# Eval(@"DownloadUrl")%>' 
                                            Text='<%#Eval( @"UserReadableName" )%>'>
                                        </dxe:ASPxHyperLink>
								    </DataItemTemplate>
							    </dxgv:GridViewDataTextColumn>
							    <dxgv:GridViewDataTextColumn Caption="Size" FieldName="PrintableFileSize" 
									meta:resourcekey="GridViewDataTextColumnResource2"
									ReadOnly="True" VisibleIndex="1">
								    <Settings AutoFilterCondition="Contains" />
								    <CellStyle VerticalAlign="Top" />
							    </dxgv:GridViewDataTextColumn>
							    <dxgv:GridViewDataTextColumn Caption="Date" FieldName="FileChangeDate" 
									meta:resourcekey="GridViewDataTextColumnResource3"
									ReadOnly="True" VisibleIndex="2">
								    <Settings AutoFilterCondition="Contains" />
								    <CellStyle VerticalAlign="Top" />
							    </dxgv:GridViewDataTextColumn>
                                            <dxgv:GridViewCommandColumn Name="Actions" Caption="Action" VisibleIndex="3" meta:resourcekey="GridViewCommandColumnResource3" ShowDeleteButton="true" ShowEditButton="false" ShowNewButton="false">
                                                <CellStyle VerticalAlign="Top"/>
                                            </dxgv:GridViewCommandColumn>	
						    </Columns>
                                        
					    </dxgv:AspxGridView>

                        <asp:ObjectDataSource 
                            ID="AttachmentsDataSource" 
                            runat="server"
                            TypeName="ZetaTest.WebMain.Code.BusinessLogic.AttachmentsController"
                            SelectMethod="SelectAttachments"
                            OnSelecting="AttachmentsDataSource_Selecting"
                            DeleteMethod="DeleteAttachment" >
                            <DeleteParameters>
                                <asp:Parameter Name="ID" Type="Int32"/>
                            </DeleteParameters>                              
                        </asp:ObjectDataSource>
                    
					    <p>
                            <dxe:ASPxLabel 
                                ID="AttachmentCountLabel" 
                                runat="server" 
                                ClientInstanceName="AttachmentCountLabel" 
                                ClientVisible="false">
                            </dxe:ASPxLabel>
                        </p>

				    <%-- ################################## --%>

				    <asp:Panel ID="UploadPanel" runat="server" CssClass="upload-panel">
					    <h4 style="border-top: 1px solid silver; padding-top:10px;"><asp:Localize 
							meta:resourcekey="Localize2Resource1"
							ID="Localize2" runat="server" Text="Upload new attachment" /></h4>
					    <dxuc:ASPxUploadControl 
						    runat="server" 
						    ID="UploadAttachment" 
                            ClientInstanceName="UploadAttachment"
                            CssClass="devExpressLinkBreakFix"
						    ShowUploadButton="false" 
						    OnFilesUploadComplete="UploadControl_FilesUploadComplete" 
						    FileUploadMode="OnPageLoad"
							meta:resourcekey="UctrlResource1"
						    ViewStateMode="Disabled">
                            <ClientSideEvents 
                                FileUploadStart="OnUploadControlFilesUploadStart"
                                FilesUploadComplete="OnUploadControlFilesUploadComplete"  />
					    </dxuc:ASPxUploadControl> 

                        <dxe:ASPxButton 
                            runat="server" 
                            ClientInstanceName="UploadButton"
                            CausesValidation="false"
							meta:resourcekey="UploadAttachmentResource1"
                            Text="Upload" 
                            CssClass="devExpressLinkBreakFix" 
                            Font-Size="10px">
                            <ClientSideEvents Click="OnUploadClick" />
                        </dxe:ASPxButton>
				    </asp:Panel>
			    </div>
			</div>
		</dxp:PanelContent>
	</PanelCollection>
</dxp:ASPxPanel>
