﻿<%@ Page 
	Culture="Auto" 
	UICulture="Auto"
	Title="Current Test Runs – Zeta Test Management" 
	Language="C#" 
	MasterPageFile="~/UI/Helper/MasterPages/AuthenticatedSplittedMasterPage.master" 
	AutoEventWireup="True" 
	Inherits="ZetaTest.WebMain.UI.TestPlansAndRuns.TestRuns.CurrentTestRuns" meta:resourcekey="PageResource1" 
	 Codebehind="CurrentTestRuns.aspx.cs" %>
<%@ Register TagPrefix="ZetaTest" Namespace="ZetaTest.WebMain.Code.UI" Assembly="ZetaTest.WebMain" %>

<asp:Content ID="Content4" ContentPlaceHolderID="NavBarHeader" Runat="Server">
	<asp:Localize ID="Localize1" runat="server" Text="Test Runs" 
		meta:resourcekey="Localize1Resource1" />
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="NavBarContent" Runat="Server">
    <div class="floating-content">
		<asp:HyperLink ID="HyperLink1" 
			runat="server" 
			Text="Create new test run" 
			NavigateUrl="~/testrun/new"
			Target="_blank" meta:resourcekey="HyperLink1Resource1"
			/>
		</div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MCPH" Runat="Server">
<%-- **************************************************************** --%>

<ZetaTest:PersistentStateGridView 
	ID="TestRunsGridView" 
	ClientInstanceName="TestRunsGridView" 
	runat="server" 
	Width="100%"
	AutoGenerateColumns="False" 
	KeyFieldName="ID"
    OnHtmlRowPrepared="TestRunsGridView_HtmlRowPrepared" HasRestored="False" 
		meta:resourcekey="TestRunsGridViewResource1">

    <SettingsCookies 
		Enabled="True" 
		StoreColumnsWidth="False" 
		StorePaging="True" 
		StoreColumnsVisiblePosition="False" 
		CookiesID="TestRunGridView" />
	<SettingsPager PageSize="30" AlwaysShowPager="true" />
	<Settings 
		VerticalScrollBarMode="Visible" 
		VerticalScrollBarStyle="Virtual" 
		ShowFilterBar="Visible"/>
	<Styles>
		<AlternatingRow Enabled="True" />
	</Styles>	

	<Columns>
		<dxgv:GridViewDataTextColumn Caption="State" FieldName="State" ReadOnly="True" 
			VisibleIndex="0" meta:resourcekey="GridViewDataTextColumnResource1">
			<Settings AutoFilterCondition="Contains" />
			<CellStyle VerticalAlign="Top" />
		</dxgv:GridViewDataTextColumn>
		<dxgv:GridViewDataTextColumn Caption="Result" FieldName="Result" 
			ReadOnly="True" VisibleIndex="1" 
			meta:resourcekey="GridViewDataTextColumnResource2">
			<Settings AutoFilterCondition="Contains" />
			<CellStyle VerticalAlign="Top" />
		</dxgv:GridViewDataTextColumn>
		<dxgv:GridViewDataTextColumn Caption="Name" FieldName="Name" ReadOnly="True" 
			VisibleIndex="2" meta:resourcekey="GridViewDataTextColumnResource3">
			<Settings AutoFilterCondition="Contains" />
			<CellStyle VerticalAlign="Top" />
		</dxgv:GridViewDataTextColumn>
		<dxgv:GridViewDataTextColumn Caption="Path" FieldName="Path" ReadOnly="True" 
			VisibleIndex="3" meta:resourcekey="GridViewDataTextColumnResource4">
			<Settings AutoFilterCondition="Contains" />
			<CellStyle VerticalAlign="Top" />
			<PropertiesTextEdit DisplayFormatString="{0}">
			</PropertiesTextEdit>
		</dxgv:GridViewDataTextColumn>
		
		<dxgv:GridViewDataColumn Caption="Actions" VisibleIndex="4" Name="Commands" 
			meta:resourcekey="GridViewDataColumnResource1"   >
            <CellStyle Wrap="False" ></CellStyle>
            <DataItemTemplate>
                <dxe:ASPxHyperLink 
                    runat="server" 
                    Visible='<%# Eval(@"CanContinue") %>' 
                    ID="TestRunContinueCommand" 
                    Text="Continue" 
                    Target="_blank" meta:resourcekey="TestRunContinueCommandResource1">
                </dxe:ASPxHyperLink>
                <dxe:ASPxHyperLink 
                        runat="server" 
                        Visible='<%# Eval(@"CanFinish") %>' 
                        ID="TestRunFinishCommand" 
                        Text="Finish" meta:resourcekey="TestRunFinishCommandResource1">
                    </dxe:ASPxHyperLink>
                <dxe:ASPxHyperLink 
                    runat="server" 
                    Visible='<%# Eval(@"CanDetails") %>' 
                    ID="TestRunDetailsCommand" 
                    Text="Details" 
                    Target="_blank" meta:resourcekey="TestRunDetailsCommandResource1">
                </dxe:ASPxHyperLink>
            </DataItemTemplate>
        </dxgv:GridViewDataColumn>
	</Columns>
    <ClientSideEvents 
		Init="CurrentTestRuns_MainRightControl_ResizeContent" 
		EndCallback="CurrentTestRuns_MainRightControl_ResizeContent"/>
</ZetaTest:PersistentStateGridView>

<dxcb:ASPxCallback 
    ID="CurrentTestRunsCallback" 
    ClientInstanceName="CurrentTestRunsCallback"
    runat="server"
    OnCallback="CurrentTestRunsCallback_Callback">
    <ClientSideEvents 
		CallbackComplete="CurrentTestRunsCallbackCallbackComplete" />
</dxcb:ASPxCallback>



<%-- **************************************************************** --%>
</asp:Content>