﻿<%@ Page 
	Culture="Auto" 
	UICulture="Auto"
	Title="Test Run Details – Zeta Test Management" 
	Language="C#" 
	AutoEventWireup="True" 
	MasterPageFile="~/UI/Helper/MasterPages/AuthenticatedCleanMasterPage.master" 
	Inherits="ZetaTest.WebMain.UI.TestPlansAndRuns.TestRuns.TestRunDetails" meta:resourcekey="PageResource1" 
	 Codebehind="TestRunDetails.aspx.cs" %>
<%@ Register TagPrefix="ZetaTest" Namespace="ZetaTest.WebMain.Code.UI" Assembly="ZetaTest.WebMain" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MCPH" Runat="Server">
<%-- **************************************************************** --%>

    <script language="javascript" type="text/javascript">
        function PlannedTestCaseVariantsGridView_EndCallback(s, e) {
            PlannedTestCaseVariantsGridView_Resize();
        }

        function PlannedTestCaseVariantsGridView_Init(s, e) {
            PlannedTestCaseVariantsGridView_Resize();
        }

        function ImplHandleMainSplitterInit(s, e) {
            PlannedTestCaseVariantsGridView_Resize();
        }

        function ImplHandleMainSplitterResized(s, e) {
            PlannedTestCaseVariantsGridView_Resize();
        }

        function PlannedTestCaseVariantsGridView_Resize() {
            if (ExistASPxClientControl("MS")) {
                var pane = MS.GetPaneByName("MainContentSplitterPane");
                var header = document.getElementById("PlannedTestCaseVariantsHeader");
                if (!IsNullOrUndefined(pane)) {
                    var backButtonPanel = document.getElementById("backButtonPanel");
                    var height = pane.GetClientHeight() - (header.offsetHeight + backButtonPanel.offsetHeight + 80);
                    var width = pane.GetClientWidth();

                    if (ExistASPxClientControl("PlannedTestCaseVariantsGridView")) {
                        PlannedTestCaseVariantsGridView.SetHeight(height);
                    }
                }
            }
        }
        function backButton_Click() {
            window.close();
        }
    </script>
<div class="floating-content">
    <div id="PlannedTestCaseVariantsHeader">
	    <h2><asp:Localize ID="Localize1" runat="server" Text="Test Results for Test Run" 
				meta:resourcekey="Localize1Resource1" /></h2>

	    <p><b><asp:Label runat="server" ID="TestPlanNameLabel" /></b> (<asp:Label 
				runat="server" ID="TestPlanPathLabel" />)</p>
    </div>
    
	<ZetaTest:PersistentStateGridView 
		ID="PlannedTestCaseVariantsGridView" 
        ClientInstanceName="PlannedTestCaseVariantsGridView"
		runat="server" 
		Width="100%"
		AutoGenerateColumns="False" 
		KeyFieldName="ID" HasRestored="False" meta:resourcekey="PlannedTestCaseVariantsGridViewResource1"
		>
		<SettingsPager PageSize="15" AlwaysShowPager="true" />
		<Settings ShowFooter="True" VerticalScrollBarMode="Visible" HorizontalScrollBarMode="Visible"/>
        <SettingsBehavior ColumnResizeMode="Control"/>
        <ClientSideEvents 
            EndCallback="PlannedTestCaseVariantsGridView_EndCallback" 
            Init="PlannedTestCaseVariantsGridView_Init"
            />
		<Styles>
			<AlternatingRow Enabled="True" />
		</Styles>	

		<TotalSummary>
			<dxgv:ASPxSummaryItem DisplayFormat="{0} test results" ShowInColumn="Date" 
				SummaryType="Count" meta:resourcekey="ASPxSummaryItemResource1" />
		</TotalSummary>
	
		<Columns>
			<dxgv:GridViewDataTextColumn Caption="Date" FieldName="Date" ReadOnly="True" 
				VisibleIndex="0" meta:resourcekey="GridViewDataTextColumnResource1" >
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
			</dxgv:GridViewDataTextColumn>
			<dxgv:GridViewDataTextColumn Caption="Result" FieldName="Result" 
				ReadOnly="True" VisibleIndex="1" 
				meta:resourcekey="GridViewDataTextColumnResource2"  >
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
			</dxgv:GridViewDataTextColumn>
			<dxgv:GridViewDataTextColumn Caption="Description" FieldName="Result" 
				ReadOnly="True" VisibleIndex="2" 
				meta:resourcekey="GridViewDataTextColumnResource3"  >
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
			</dxgv:GridViewDataTextColumn>
			<dxgv:GridViewDataTextColumn Caption="Environment" FieldName="Environment" 
				ReadOnly="True" VisibleIndex="3" 
				meta:resourcekey="GridViewDataTextColumnResource4"  >
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
			</dxgv:GridViewDataTextColumn>
			<dxgv:GridViewDataTextColumn Caption="Variant" FieldName="Variant" 
				ReadOnly="True" VisibleIndex="4" 
				meta:resourcekey="GridViewDataTextColumnResource5" >
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
			</dxgv:GridViewDataTextColumn>
			<dxgv:GridViewDataTextColumn Caption="Path" FieldName="Path" ReadOnly="True" 
				VisibleIndex="5"  Width="50%" 
				meta:resourcekey="GridViewDataTextColumnResource6">
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
				<PropertiesTextEdit DisplayFormatString="{0}" />
			</dxgv:GridViewDataTextColumn>
			<dxgv:GridViewDataTextColumn Caption="Test case" FieldName="TestCase" 
				ReadOnly="True" VisibleIndex="6" Width="50%" 
				meta:resourcekey="GridViewDataTextColumnResource7">
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
			</dxgv:GridViewDataTextColumn>
			<dxgv:GridViewDataTextColumn Caption="Duration" FieldName="Duration" 
				ReadOnly="True" VisibleIndex="7" 
				meta:resourcekey="GridViewDataTextColumnResource8">
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
			</dxgv:GridViewDataTextColumn>
			<dxgv:GridViewDataTextColumn Caption="Tester" FieldName="Tester" 
				ReadOnly="True" VisibleIndex="8" 
				meta:resourcekey="GridViewDataTextColumnResource9" >
				<Settings AutoFilterCondition="Contains" />
				<CellStyle VerticalAlign="Top" />
			</dxgv:GridViewDataTextColumn>
		</Columns>
	</ZetaTest:PersistentStateGridView>

	<table cellspacing="0" cellpadding="0" class="buttons" id="backButtonPanel" style="margin-top: 5px; margin-bottom:0px; padding-left: 5px; padding-right: 5px; " width="100%"><tr>
		<td>
            <dxe:ASPxButton ID="backButton" runat="server" Text="Back" 
				meta:resourcekey="backButtonResource1">
                <ClientSideEvents
                    Click="backButton_Click" />           
            </dxe:ASPxButton>
        </td>
	</tr></table>
</div>

<%-- **************************************************************** --%>
</asp:Content>