﻿<%@ Control 
	Language="C#" 
	AutoEventWireup="true" 
	Inherits="ZetaTest.WebMain.UI.TestUnitsAndCases.TestCases.DisplayTestCaseControl" Codebehind="DisplayTestCaseControl.ascx.cs" %>

<%@ Register Src="~/UI/Helper/Controls/NoDataToDisplay.ascx" TagName="NoDataToDisplay" TagPrefix="zt" %>

<dxp:ASPxPanel ID="TestCaseContentPanel" runat="server" ClientVisible="False">
	<PanelCollection>
		<dxp:PanelContent runat="server" ID="PC">
			<div id="testcase-content-div">
				<div id="titlecompact" ClientIDMode="Static" runat="server">
					<h1><asp:Localize ID="Localize4" runat="server" Text="Test case" 
							meta:resourcekey="Localize4Resource1" /> &quot;<asp:Label runat="server" 
							ID="TitleLabel" />&quot;</h1>
				</div>

				<div id="contentcompact" ClientIDMode="Static" style="overflow-y:scroll;" runat="server">
					<div class="section">
						<div id="description">
							<table class="info" cellpadding="0" cellspacing="0" border="0">
								<tr>
									<th nowrap="nowrap"><asp:Localize ID="Localize1" runat="server" Text="Test unit" 
											meta:resourcekey="Localize1Resource1" /></th>
									<td width="100%"><asp:Label runat="server" ID="VisualPathControl" /></td>
								</tr>
								<tr>
									<th nowrap="nowrap"><asp:Localize ID="Localize2" runat="server" 
											Text="Estimated duration" meta:resourcekey="Localize2Resource1" /></th>
									<td width="100%"><asp:Label runat="server" ID="EstimatedDurationControl" /></td>
								</tr>
								<tr runat="server" id="DependsPanel" visible="false">
									<th nowrap="nowrap"><asp:Localize ID="Localize3" runat="server" Text="Depends" 
											meta:resourcekey="Localize3Resource1" /></th>
									<td width="100%"><dxe:ASPxHyperLink runat="server" ID="DependsControl"  
											Target="_blank"/></td>
								</tr>

								<asp:Repeater runat="server" ID="AttributesRepeater">
									<ItemTemplate>
											<tr>
												<th nowrap="nowrap"><%#Eval(@"LabelIntelligent")%></th>
												<td width="100%"><%#Eval(@"ValueIntelligent")%></td>
											</tr>
									</ItemTemplate>
								</asp:Repeater>

                               <tr runat="server" id="TagPanel" visible="false">
									<th nowrap="nowrap"><asp:Localize ID="Localize15" runat="server" Text="Tag" /></th>
									<td width="100%"><asp:Label runat="server" ID="TagControl"/></td>
								</tr>
							</table>
						</div>
					</div>

					<div class="section" runat="server" ID="ReviewPanel" visible="false">
						<div class="yellowbox">
							<h4><asp:Localize ID="Localize12345" runat="server" Text="Review:" 
									meta:resourcekey="Localize12345Resource1" /></h4>
							<table class="info" cellpadding="0" cellspacing="0" border="0">
								<tr>
									<th nowrap="nowrap"><asp:Localize ID="Localize5" runat="server" Text="Edit state" 
											meta:resourcekey="Localize5Resource1" /></th>
									<td width="100%" runat="server" id="TestCaseReviewEditStateControl"></td>
								</tr>
								<tr>
									<th nowrap="nowrap" valign="top"><asp:Localize ID="Localize6" runat="server" 
											Text="Most recent review comment" meta:resourcekey="Localize6Resource1" /></th>
									<td width="100%" runat="server" id="TestCaseReviewMostRecentCommentControl"></td>
								</tr>
							</table>
						</div>
					</div>

					<div class="section" runat="server" ID="DescriptionPanel" visible="false">
						<div class="bluebox">
							<h4><asp:Localize ID="Localize7" runat="server" Text="Description:" 
									meta:resourcekey="Localize7Resource1" /></h4>
							<div class="description" runat="server" id="DescriptionControl"></div>
						</div>
					</div>

					<div class="section">
						<h3 runat="server" id="TestVariantHeadlineControl" visible="false"></h3>

						<div class="greenbox" runat="server" id="DetailsPanel" visible="false">
							<h4><asp:Localize ID="Localize8" runat="server" Text="Prerequisites:" 
									meta:resourcekey="Localize8Resource1" /></h4>
							<div class="description" runat="server" id="PrerequisitesControl" visible="false"></div>
				
							<h4><asp:Localize ID="Localize9" runat="server" Text="Test steps:" 
									meta:resourcekey="Localize9Resource1" /></h4>
							<div class="description" runat="server" id="TestStepsControl" visible="false"></div>
				
							<h4><asp:Localize ID="Localize10" runat="server" Text="Expected results:" 
									meta:resourcekey="Localize10Resource1" /></h4>
							<div class="description" runat="server" id="ExpectedResultsControl" visible="false"></div>
						</div>
					</div>

					<asp:Panel runat="server" ID="AttachmentsPanel" Visible="False">
						<table class="annex" cellpadding="0" cellspacing="0" border="0">
							<thead>
								<tr>
									<th style="width:60%"><asp:Localize ID="Localize11" runat="server" Text="File" 
											meta:resourcekey="Localize11Resource1" /></th>
									<th style="width:20%"><asp:Localize ID="Localize12" runat="server" Text="Size" 
											meta:resourcekey="Localize12Resource1" /></th>
									<th style="width:20%"><asp:Localize ID="Localize13" runat="server" Text="Date" 
											meta:resourcekey="Localize13Resource1" /></th>
								</tr>
							</thead>

							<tbody>
								<asp:Repeater runat="server" ID="AttachmentsRepeater">
									<ItemTemplate>
										<tr class='<%# Eval(@"RowCssClass") %>' nowrap="nowrap">
											<td class='<%# Eval(@"ColumnCssClass") %>'>
												<a title="Open for editing" href='<%# Eval(@"DownloadUrl") %>'><%#Eval( @"UserReadableName" )%></a>
											</td>
											<td class='<%# Eval(@"ColumnCssClass") %>' nowrap="nowrap"><%#Eval(@"PrintableFileSize")%></td>
											<td class='<%# Eval(@"ColumnCssClass") %>' nowrap="nowrap"><%#Eval(@"FileChangeDate")%></td>
										</tr>
									</ItemTemplate>
								</asp:Repeater>
							</tbody>
						</table>

						<p><asp:Label runat="server" ID="AttachmentCountLabel" /> 
							<asp:Localize ID="Localize14" runat="server" Text="attachments." 
								meta:resourcekey="Localize14Resource1" /></p>
					</asp:Panel>
				</div>
			</div>
		</dxp:PanelContent>
	</PanelCollection>
</dxp:ASPxPanel>

<zt:NoDataToDisplay runat="server" ID="NoTestCaseToDisplayPanel"/>